*-------------------------------------------------------------------------*  
!                                                                         !  
!               SAS DATA DEFINITION COMMANDS FOR ICPSR 9028               !  
!                                                                         !  
!       UNIFORM CRIME REPORTING PROGRAM DATA: [UNITED STATES]             !  
!           PART 50: SAS DATA DEFINITION STATEMENTS FOR                   !  
|          OFFENSES KNOWN AND CLEARANCES BY ARREST, 1986                  |  
!                                                                         !  
!  PROC FORMAT creates user-defined formats for variables.  Formats       !  
!  provide value code descriptions by substituting write formats of       !  
!  40 characters or less for original value codes.  Not all variables     !  
!  in this data set necessarily have user-defined formats.                !  
!                                                                         !  
!  DATA begins a SAS data step, and names an output SAS data set.         !  
!                                                                         !  
!  INFILE identifies the input file to be read with the input statement.  !  
!  Users must provide host computer-specific input file specifications.   !  
!                                                                         !  
!  INPUT assigns the name, type, decimal specification and specifies the  !  
!  beginning and ending column locations for each variable in the data    !  
!  file.                                                                  !  
!                                                                         !  
!  LABEL assigns descriptive labels of 40 characters or less to           !  
!  variables.  Not all variables in this data set necessarily have        !  
!  labels assigned to them.                                               !  
!                                                                         !  
!  MISSING VALUE RECODES recodes user-defined numeric missing values to   !  
!  the SAS sysmis code.                                                   !  
!                                                                         !  
!  FORMAT associates the formats created by the PROC FORMAT step with     !  
!  the variables named in the INPUT statement.                            !  
!                                                                         !  
!  These data definition statements have been designed for compatibility  !  
!  with current SAS releases.  They have been tested for compatibility    !  
!  with SAS Release 6.08 for Windows and SAS Release 6.09 for UNIX.       !  
!                                                                         !  
!  Users should combine and modify these data definition statements to    !  
!  suit their specific needs.                                             !  
!                                                                         !  
*-------------------------------------------------------------------------;  
                                                                             
* SAS PROC FORMAT;                                                           
/*                                                                           
PROC FORMAT;                                                                 
   VALUE V1FT                                                                
   9028 = "The ICPSR has attached this number as a unique";                  
   VALUE V2FT                                                                
   1 = "First release, Winter 1989";                                         
   VALUE V3FT                                                                
   50 = "Offenses Known and Clearances by Arrest, 1986";                     
   VALUE V5FT                                                                
   01 = "Alabama"                                                            
   02 = "Arizona"                                                            
   03 = "Arkansas"                                                           
   04 = "California"                                                         
   05 = "Colorado"                                                           
   06 = "Connecticut"                                                        
   07 = "Delaware"                                                           
   08 = "Washington, D"                                                      
   09 = "Florida"                                                            
   10 = "Georgia"                                                            
   11 = "Idaho"                                                              
   12 = "Illinois"                                                           
   13 = "Indiana"                                                            
   14 = "Iowa"                                                               
   15 = "Kansas"                                                             
   16 = "Kentucky"                                                           
   17 = "Louisiana"                                                          
   18 = "Maine"                                                              
   19 = "Maryland"                                                           
   20 = "Massachusetts"                                                      
   21 = "Michigan"                                                           
   22 = "Minnesota"                                                          
   23 = "Mississippi"                                                        
   24 = "Missouri"                                                           
   25 = "Montana"                                                            
   26 = "Nebraska"                                                           
   27 = "Nevada"                                                             
   28 = "New Hampshire"                                                      
   29 = "New Jersey"                                                         
   30 = "New Mexico"                                                         
   31 = "New York"                                                           
   32 = "North Carolina"                                                     
   33 = "North Dakota"                                                       
   34 = "Ohio"                                                               
   35 = "Oklahoma"                                                           
   36 = "Oregon"                                                             
   37 = "Pennsylvania"                                                       
   38 = "Rhode Island"                                                       
   39 = "South Carolina"                                                     
   40 = "South Dakota"                                                       
   41 = "Tennessee"                                                          
   42 = "Texas"                                                              
   43 = "Utah"                                                               
   44 = "Vermont"                                                            
   45 = "Virginia"                                                           
   46 = "Washington"                                                         
   47 = "West Virginia"                                                      
   48 = "Wisconsin"                                                          
   49 = "Wyoming"                                                            
   50 = "Alaska"                                                             
   51 = "Hawaii"                                                             
   99 = "Not reported";                                                      
   VALUE V7FT                                                                
   1 = "All cities 250,000 or over"                                          
   2 = "Cities between 100,000 and 249,999"                                  
   3 = "Cities between 50,000 and 99,999"                                    
   4 = "Cities between 25,000 and 49,999"                                    
   5 = "Cities between 10,000 and 24,999"                                    
   6 = "Cities between 2,500 and 9,999"                                      
   7 = "Cities under 2,500"                                                  
   8 = "Non-SMSA counties"                                                   
   9 = "SMSA counties"                                                       
   0 = "Possessions";                                                        
   VALUE V8FT                                                                
   11 = "All cities 1,000,000 or over"                                       
   12 = "Cities between 500,000 and 999,999"                                 
   13 = "Cities between 250,000 and 499,999"                                 
   20 = "Cities between 100,000 and 249,999"                                 
   30 = "Cities between 50,000 and 99,999"                                   
   40 = "Cities between 25,000 and 49,999"                                   
   50 = "Cities between 10,000 and 24,999"                                   
   60 = "Cities between 2,500 and 9,999"                                     
   70 = "Cities under 2,500"                                                 
   81 = "Counties 100,000 or over"                                           
   82 = "Counties between 25,000 and 99,999"                                 
   83 = "Counties between 10,000 and 24,999"                                 
   84 = "Counties under 10,000"                                              
   85 = "State Police"                                                       
   91 = "Counties 100,000 or over"                                           
   92 = "Counties between 25,000 and 99,999"                                 
   93 = "Counties between 10,000 and 24,999"                                 
   94 = "Counties under 10,000"                                              
   95 = "State Police"                                                       
   99 = "Not reported";                                                      
   VALUE V9FT                                                                
   0 = "U"                                                                   
   1 = "Connecticut, Maine, Massachusetts, New Hampshire,"                   
   2 = "New Jersey, New York, Pennsylvania"                                  
   3 = "Illinois, Indiana, Michigan, Ohio, Wisconsin"                        
   4 = "Iowa, Kansas, Minnesota, Missouri, Nebraska, North"                  
   5 = "Delaware, Florida, Georgia, Maryland, North"                         
   6 = "Alabama, Kentucky, Mississippi, Tennessee"                           
   7 = "Arkansas, Louisiana, Oklahoma, Texas"                                
   8 = "Arizona, Colorado, Idaho, Montana, Nevada, New"                      
   9 = "Alaska, California, Hawaii, Oregon, Washington";                     
   VALUE V10FT                                                               
   86 = "1986"                                                               
   99 = "Not reported";                                                      
   VALUE V11FT                                                               
   00000 = "Inap"                                                            
   99999 = "Inap";                                                           
   VALUE V12FT                                                               
   00 = "Not ascertained"                                                    
   99 = "Not ascertained";                                                   
   VALUE V13FT                                                               
   1 = "Yes"                                                                 
   2 = "No"                                                                  
   0 = "Not ascertained";                                                    
   VALUE V15FT                                                               
   000000 = "Not ascertained"                                                
   999999 = "Not ascertained";                                               
   VALUE V16FT                                                               
   9999 = "Not reported";                                                    
   VALUE V17FT                                                               
   00 = "0 Months reported"                                                  
   12 = "12 Months reported";                                                
   VALUE V18FT                                                               
   0 = "U"                                                                   
   1 = "All other agencies"                                                  
   9 = "Not ascertained";                                                    
   VALUE V19FT                                                               
   0 = "Not reported";                                                       
   VALUE V20FT                                                               
   000 = "Inap"                                                              
   999 = "Inap";                                                             
   VALUE V21FT                                                               
   000 = "Not reported"                                                      
   999 = "Inap";                                                             
   VALUE V22FT                                                               
   0 = "Inap";                                                               
   VALUE V23FT                                                               
   000 = "Inap"                                                              
   999 = "Inap";                                                             
   VALUE V24FT                                                               
   000 = "Inap"                                                              
   999 = "Inap";                                                             
   VALUE V25FT                                                               
   0 = "Inap";                                                               
   VALUE V26FT                                                               
   000 = "Inap"                                                              
   999 = "Inap";                                                             
   VALUE V27FT                                                               
   000 = "Inap"                                                              
   999 = "Inap";                                                             
   VALUE V28FT                                                               
   0 = "Not reported";                                                       
   VALUE V29FT                                                               
   0 = "Not reported or city contained within one county";                   
   VALUE V30FT                                                               
   0 = "Not reported or city contained within one or two";                   
   VALUE V33FT                                                               
   1 = "Return sent to another agency"                                       
   2 = "Small city (groups 5-7) sent a large city (groups"                   
   0 = "Inap"                                                                
   7 = "Agency is a 'non-contributor' and not sent a form"                   
   9 = "Agency  is a contributor but not on the mailing list";               
   VALUE V41FT                                                               
   00000 = "Not reported";                                                   
   VALUE V42FT                                                               
   1 = "All cities 250,000 or over"                                          
   2 = "Cities between 100,000 and 249,999"                                  
   3 = "Cities between 50,000 and 99,999"                                    
   4 = "Cities between 25,000 and 49,999"                                    
   5 = "Cities between 10,000 and 24,999"                                    
   6 = "Cities between 2,500 and 9,999"                                      
   7 = "Cities under 2,500"                                                  
   8 = "Non-SMSA counties"                                                   
   9 = "SMSA counties"                                                       
   0 = "Not ascertained";                                                    
   VALUE V44FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V45FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V46FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V47FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V48FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V49FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V50FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V51FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V52FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V53FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V54FT                                                               
   00 = "Not used, agency submitted a return";                               
   VALUE V55FT                                                               
   000000 = "Not updated";                                                   
   VALUE V56FT                                                               
   000000 = "Not updated";                                                   
   VALUE V57FT                                                               
   000000 = "Not updated";                                                   
   VALUE V58FT                                                               
   000000 = "Not updated";                                                   
   VALUE V59FT                                                               
   000000 = "Not updated";                                                   
   VALUE V60FT                                                               
   000000 = "Not updated";                                                   
   VALUE V61FT                                                               
   000000 = "Not updated";                                                   
   VALUE V62FT                                                               
   000000 = "Not updated";                                                   
   VALUE V63FT                                                               
   000000 = "Not updated";                                                   
   VALUE V64FT                                                               
   000000 = "Not updated";                                                   
   VALUE V65FT                                                               
   000000 = "Not updated";                                                   
   VALUE V66FT                                                               
   000000 = "Not updated";                                                   
   VALUE V67FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V68FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V69FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V70FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V71FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V72FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V73FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V74FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V75FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V76FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V77FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V78FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V79FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V80FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V81FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V82FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V83FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V84FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V85FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V86FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V87FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V88FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V89FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V90FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V91FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V92FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V93FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V94FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V95FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V96FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V97FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V98FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V99FT                                                               
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V100FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V101FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V102FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V103FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V104FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V105FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V106FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V107FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V108FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V109FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V110FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V111FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V112FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V113FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V114FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V115FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V116FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V117FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V118FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V119FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V120FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V121FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V122FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V123FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V124FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V125FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V126FT                                                              
   2 = "Adjustment"                                                          
   3 = "Estimated return"                                                    
   4 = "Not available"                                                       
   5 = "Normal return"                                                       
   0 = "Not updated";                                                        
   VALUE V127FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V128FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V129FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V130FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V131FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V132FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V133FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V134FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V135FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V136FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V137FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V138FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V139FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V140FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V141FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V142FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V143FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V144FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V145FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V146FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V147FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V148FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V149FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V150FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V151FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V152FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V153FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V154FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V155FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V156FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V157FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V158FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V159FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V160FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V161FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V162FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V163FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V164FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V165FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V166FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V167FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V168FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V169FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V170FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V171FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V172FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V173FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
   VALUE V174FT                                                              
   1 = "Breakdown offenses"                                                  
   2 = "Totals only"                                                         
   0 = "Inap";                                                               
*/                                                                           
                                                                             
* SAS DATA, INFILE, INPUT STATEMENTS;                                        
                                                                             
DATA;                                                                        
INFILE "file-specification" LRECL=5251;                                      
INPUT                                                                        
   V1 1-4                 V2 5                   V3 6-7                      
   V4 8-12                V5 13-14               V6 $ 15-21                  
   V7 22                  V8 23-24               V9 25                       
   V10 26-27              V11 28-32              V12 33-34                   
   V13 35                 V14 $ 36-43            V15 44-49                   
   V16 50-53              V17 54-55              V18 56                      
   V19 57-64              V20 65-67              V21 68-70                   
   V22 71-78              V23 79-81              V24 82-84                   
   V25 85-92              V26 93-95              V27 96-98                   
   V28 99-106             V29 107-114            V30 115-122                 
   V31 $ 123              V32 $ 124              V33 125                     
   V34 $ 126              V35 $ 127-150          V36 $ 151-156               
   V37 $ 157-186          V38 $ 187-216          V39 $ 217-246               
   V40 $ 247-276          V41 277-281            V42 282                     
   V43 283-284            V44 285-286            V45 287-288                 
   V46 289-290            V47 291-292            V48 293-294                 
   V49 295-296            V50 297-298            V51 299-300                 
   V52 301-302            V53 303-304            V54 305-306                 
   V55 307-312            V56 313-318            V57 319-324                 
   V58 325-330            V59 331-336            V60 337-342                 
   V61 343-348            V62 349-354            V63 355-360                 
   V64 361-366            V65 367-372            V66 373-378                 
   V67 379                V68 380                V69 381                     
   V70 382                V71 383                V72 384                     
   V73 385                V74 386                V75 387                     
   V76 388                V77 389                V78 390                     
   V79 391                V80 392                V81 393                     
   V82 394                V83 395                V84 396                     
   V85 397                V86 398                V87 399                     
   V88 400                V89 401                V90 402                     
   V91 403                V92 404                V93 405                     
   V94 406                V95 407                V96 408                     
   V97 409                V98 410                V99 411                     
   V100 412               V101 413               V102 414                    
   V103 415               V104 416               V105 417                    
   V106 418               V107 419               V108 420                    
   V109 421               V110 422               V111 423                    
   V112 424               V113 425               V114 426                    
   V115 427               V116 428               V117 429                    
   V118 430               V119 431               V120 432                    
   V121 433               V122 434               V123 435                    
   V124 436               V125 437               V126 438                    
   V127 439               V128 440               V129 441                    
   V130 442               V131 443               V132 444                    
   V133 445               V134 446               V135 447                    
   V136 448               V137 449               V138 450                    
   V139 451               V140 452               V141 453                    
   V142 454               V143 455               V144 456                    
   V145 457               V146 458               V147 459                    
   V148 460               V149 461               V150 462                    
   V151 463               V152 464               V153 465                    
   V154 466               V155 467               V156 468                    
   V157 469               V158 470               V159 471                    
   V160 472               V161 473               V162 474                    
   V163 475               V164 476               V165 477                    
   V166 478               V167 479               V168 480                    
   V169 481               V170 482               V171 483                    
   V172 484               V173 485               V174 486                    
   V175 487-492           V176 493-498           V177 499-504                
   V178 505-510           V179 511-516           V180 517-522                
   V181 523-528           V182 529-534           V183 535-540                
   V184 541-546           V185 547-552           V186 553-558                
   V187 559-564           V188 565-570           V189 571-576                
   V190 577-582           V191 583-588           V192 589-594                
   V193 595-600           V194 601-606           V195 607-612                
   V196 613-618           V197 619-624           V198 625-630                
   V199 631-636           V200 637-642           V201 643-648                
   V202 649-654           V203 655-660           V204 661-666                
   V205 667-672           V206 673-678           V207 679-684                
   V208 685-690           V209 691-696           V210 697-702                
   V211 703-708           V212 709-714           V213 715-720                
   V214 721-726           V215 727-732           V216 733-738                
   V217 739-744           V218 745-750           V219 751-756                
   V220 757-762           V221 763-768           V222 769-774                
   V223 775-780           V224 781-786           V225 787-792                
   V226 793-798           V227 799-804           V228 805-810                
   V229 811-816           V230 817-822           V231 823-828                
   V232 829-834           V233 835-840           V234 841-846                
   V235 847-852           V236 853-858           V237 859-864                
   V238 865-870           V239 871-876           V240 877-882                
   V241 883-888           V242 889-894           V243 895-900                
   V244 901-906           V245 907-912           V246 913-918                
   V247 919-924           V248 925-930           V249 931-936                
   V250 937-942           V251 943-948           V252 949-954                
   V253 955-960           V254 961-966           V255 967-972                
   V256 973-978           V257 979-984           V258 985-990                
   V259 991-996           V260 997-1002          V261 1003-1008              
   V262 1009-1014         V263 1015-1020         V264 1021-1026              
   V265 1027-1032         V266 1033-1038         V267 1039-1044              
   V268 1045-1050         V269 1051-1056         V270 1057-1062              
   V271 1063-1068         V272 1069-1074         V273 1075-1080              
   V274 1081-1086         V275 1087-1092         V276 1093-1098              
   V277 1099-1104         V278 1105-1110         V279 1111-1116              
   V280 1117-1122         V281 1123-1128         V282 1129-1134              
   V283 1135-1140         V284 1141-1146         V285 1147-1152              
   V286 1153-1158         V287 1159-1164         V288 1165-1170              
   V289 1171-1176         V290 1177-1182         V291 1183-1188              
   V292 1189-1194         V293 1195-1200         V294 1201-1206              
   V295 1207-1212         V296 1213-1218         V297 1219-1224              
   V298 1225-1230         V299 1231-1236         V300 1237-1242              
   V301 1243-1248         V302 1249-1254         V303 1255-1260              
   V304 1261-1266         V305 1267-1272         V306 1273-1278              
   V307 1279-1284         V308 1285-1290         V309 1291-1296              
   V310 1297-1302         V311 1303-1308         V312 1309-1314              
   V313 1315-1320         V314 1321-1326         V315 1327-1332              
   V316 1333-1338         V317 1339-1344         V318 1345-1350              
   V319 1351-1356         V320 1357-1362         V321 1363-1368              
   V322 1369-1374         V323 1375-1380         V324 1381-1386              
   V325 1387-1392         V326 1393-1398         V327 1399-1404              
   V328 1405-1410         V329 1411-1416         V330 1417-1422              
   V331 1423-1428         V332 1429-1434         V333 1435-1440              
   V334 1441-1446         V335 1447-1452         V336 1453-1458              
   V337 1459-1464         V338 1465-1470         V339 1471-1476              
   V340 1477-1482         V341 1483-1488         V342 1489-1494              
   V343 1495-1500         V344 1501-1506         V345 1507-1512              
   V346 1513-1518         V347 1519-1524         V348 1525-1530              
   V349 1531-1536         V350 1537-1542         V351 1543-1548              
   V352 1549-1554         V353 1555-1560         V354 1561-1566              
   V355 1567-1572         V356 1573-1578         V357 1579-1584              
   V358 1585-1590         V359 1591-1596         V360 1597-1602              
   V361 1603-1608         V362 1609-1614         V363 1615-1620              
   V364 1621-1626         V365 1627-1632         V366 1633-1638              
   V367 1639-1644         V368 1645-1650         V369 1651-1656              
   V370 1657-1662         V371 1663-1668         V372 1669-1674              
   V373 1675-1680         V374 1681-1686         V375 1687-1692              
   V376 1693-1698         V377 1699-1704         V378 1705-1710              
   V379 1711-1716         V380 1717-1722         V381 1723-1728              
   V382 1729-1734         V383 1735-1740         V384 1741-1746              
   V385 1747-1752         V386 1753-1758         V387 1759-1764              
   V388 1765-1770         V389 1771-1776         V390 1777-1782              
   V391 1783-1788         V392 1789-1794         V393 1795-1800              
   V394 1801-1806         V395 1807-1812         V396 1813-1818              
   V397 1819-1824         V398 1825-1830         V399 1831-1836              
   V400 1837-1842         V401 1843-1848         V402 1849-1854              
   V403 1855-1860         V404 1861-1866         V405 1867-1872              
   V406 1873-1878         V407 1879-1884         V408 1885-1890              
   V409 1891-1896         V410 1897-1902         V411 1903-1908              
   V412 1909-1914         V413 1915-1920         V414 1921-1926              
   V415 1927-1932         V416 1933-1938         V417 1939-1944              
   V418 1945-1950         V419 1951-1956         V420 1957-1962              
   V421 1963-1968         V422 1969-1974         V423 1975-1980              
   V424 1981-1986         V425 1987-1992         V426 1993-1998              
   V427 1999-2004         V428 2005-2010         V429 2011-2016              
   V430 2017-2022         V431 2023-2028         V432 2029-2034              
   V433 2035-2040         V434 2041-2046         V435 2047-2052              
   V436 2053-2058         V437 2059-2064         V438 2065-2070              
   V439 2071-2076         V440 2077-2082         V441 2083-2088              
   V442 2089-2094         V443 2095-2100         V444 2101-2106              
   V445 2107-2112         V446 2113-2118         V447 2119-2124              
   V448 2125-2130         V449 2131-2136         V450 2137-2142              
   V451 2143-2148         V452 2149-2154         V453 2155-2160              
   V454 2161-2166         V455 2167-2172         V456 2173-2178              
   V457 2179-2184         V458 2185-2190         V459 2191-2196              
   V460 2197-2202         V461 2203-2208         V462 2209-2214              
   V463 2215-2220         V464 2221-2226         V465 2227-2232              
   V466 2233-2238         V467 2239-2244         V468 2245-2250              
   V469 2251-2256         V470 2257-2262         V471 2263-2268              
   V472 2269-2274         V473 2275-2280         V474 2281-2286              
   V475 2287-2292         V476 2293-2298         V477 2299-2304              
   V478 2305-2310         V479 2311-2316         V480 2317-2322              
   V481 2323-2328         V482 2329-2334         V483 2335-2340              
   V484 2341-2346         V485 2347-2352         V486 2353-2358              
   V487 2359-2361         V488 2362-2364         V489 2365-2367              
   V490 2368-2370         V491 2371-2373         V492 2374-2376              
   V493 2377-2379         V494 2380-2382         V495 2383-2385              
   V496 2386-2388         V497 2389-2391         V498 2392-2394              
   V499 2395-2396         V500 2397-2398         V501 2399-2400              
   V502 2401-2402         V503 2403-2404         V504 2405-2406              
   V505 2407-2408         V506 2409-2410         V507 2411-2412              
   V508 2413-2414         V509 2415-2416         V510 2417-2418              
   V511 2419-2421         V512 2422-2424         V513 2425-2427              
   V514 2428-2430         V515 2431-2433         V516 2434-2436              
   V517 2437-2439         V518 2440-2442         V519 2443-2445              
   V520 2446-2448         V521 2449-2451         V522 2452-2454              
   V523 2455-2457         V524 2458-2460         V525 2461-2463              
   V526 2464-2466         V527 2467-2469         V528 2470-2472              
   V529 2473-2475         V530 2476-2478         V531 2479-2481              
   V532 2482-2484         V533 2485-2487         V534 2488-2490              
   V535 2491-2492         V536 2493-2494         V537 2495-2496              
   V538 2497-2498         V539 2499-2500         V540 2501-2502              
   V541 2503-2504         V542 2505-2507         V543 2508-2509              
   V544 2510-2511         V545 2512-2513         V546 2514-2515              
   V547 2516-2519         V548 2520-2523         V549 2524-2527              
   V550 2528-2531         V551 2532-2535         V552 2536-2539              
   V553 2540-2543         V554 2544-2547         V555 2548-2551              
   V556 2552-2555         V557 2556-2559         V558 2560-2563              
   V559 2564-2567         V560 2568-2571         V561 2572-2575              
   V562 2576-2579         V563 2580-2583         V564 2584-2587              
   V565 2588-2591         V566 2592-2595         V567 2596-2599              
   V568 2600-2603         V569 2604-2607         V570 2608-2611              
   V571 2612-2615         V572 2616-2619         V573 2620-2623              
   V574 2624-2627         V575 2628-2631         V576 2632-2635              
   V577 2636-2639         V578 2640-2643         V579 2644-2647              
   V580 2648-2651         V581 2652-2655         V582 2656-2659              
   V583 2660-2662         V584 2663-2665         V585 2666-2668              
   V586 2669-2671         V587 2672-2674         V588 2675-2678              
   V589 2679-2682         V590 2683-2686         V591 2687-2690              
   V592 2691-2694         V593 2695-2697         V594 2698-2700              
   V595 2701-2704         V596 2705-2708         V597 2709-2712              
   V598 2713-2716         V599 2717-2720         V600 2721-2724              
   V601 2725-2728         V602 2729-2732         V603 2733-2736              
   V604 2737-2740         V605 2741-2744         V606 2745-2748              
   V607 2749-2752         V608 2753-2756         V609 2757-2760              
   V610 2761-2764         V611 2765-2768         V612 2769-2773              
   V613 2774-2778         V614 2779-2782         V615 2783-2786              
   V616 2787-2790         V617 2791-2794         V618 2795-2798              
   V619 2799-2801         V620 2802-2804         V621 2805-2807              
   V622 2808-2810         V623 2811-2813         V624 2814-2817              
   V625 2818-2821         V626 2822-2825         V627 2826-2828              
   V628 2829-2831         V629 2832-2834         V630 2835-2837              
   V631 2838-2841         V632 2842-2845         V633 2846-2849              
   V634 2850-2853         V635 2854-2857         V636 2858-2861              
   V637 2862-2865         V638 2866-2869         V639 2870-2873              
   V640 2874-2877         V641 2878-2881         V642 2882-2885              
   V643 2886-2889         V644 2890-2893         V645 2894-2897              
   V646 2898-2901         V647 2902-2905         V648 2906-2909              
   V649 2910-2913         V650 2914-2917         V651 2918-2921              
   V652 2922-2925         V653 2926-2929         V654 2930-2933              
   V655 2934-2936         V656 2937-2939         V657 2940-2942              
   V658 2943-2945         V659 2946-2948         V660 2949-2951              
   V661 2952-2954         V662 2955-2958         V663 2959-2961              
   V664 2962-2964         V665 2965-2967         V666 2968-2970              
   V667 2971-2974         V668 2975-2978         V669 2979-2982              
   V670 2983-2986         V671 2987-2990         V672 2991-2994              
   V673 2995-2998         V674 2999-3002         V675 3003-3006              
   V676 3007-3010         V677 3011-3014         V678 3015-3018              
   V679 3019-3023         V680 3024-3028         V681 3029-3033              
   V682 3034-3038         V683 3039-3043         V684 3044-3048              
   V685 3049-3053         V686 3054-3058         V687 3059-3063              
   V688 3064-3068         V689 3069-3073         V690 3074-3078              
   V691 3079-3083         V692 3084-3088         V693 3089-3093              
   V694 3094-3098         V695 3099-3103         V696 3104-3108              
   V697 3109-3113         V698 3114-3118         V699 3119-3123              
   V700 3124-3128         V701 3129-3133         V702 3134-3138              
   V703 3139-3142         V704 3143-3146         V705 3147-3150              
   V706 3151-3154         V707 3155-3158         V708 3159-3162              
   V709 3163-3166         V710 3167-3170         V711 3171-3174              
   V712 3175-3178         V713 3179-3182         V714 3183-3186              
   V715 3187-3190         V716 3191-3194         V717 3195-3198              
   V718 3199-3202         V719 3203-3206         V720 3207-3210              
   V721 3211-3214         V722 3215-3218         V723 3219-3222              
   V724 3223-3226         V725 3227-3230         V726 3231-3234              
   V727 3235-3239         V728 3240-3244         V729 3245-3249              
   V730 3250-3254         V731 3255-3259         V732 3260-3264              
   V733 3265-3269         V734 3270-3274         V735 3275-3279              
   V736 3280-3284         V737 3285-3289         V738 3290-3294              
   V739 3295-3298         V740 3299-3302         V741 3303-3306              
   V742 3307-3310         V743 3311-3314         V744 3315-3318              
   V745 3319-3322         V746 3323-3326         V747 3327-3330              
   V748 3331-3334         V749 3335-3338         V750 3339-3342              
   V751 3343-3346         V752 3347-3350         V753 3351-3354              
   V754 3355-3358         V755 3359-3362         V756 3363-3366              
   V757 3367-3370         V758 3371-3374         V759 3375-3378              
   V760 3379-3382         V761 3383-3386         V762 3387-3390              
   V763 3391-3393         V764 3394-3396         V765 3397-3399              
   V766 3400-3402         V767 3403-3405         V768 3406-3408              
   V769 3409-3411         V770 3412-3415         V771 3416-3419              
   V772 3420-3423         V773 3424-3427         V774 3428-3431              
   V775 3432-3434         V776 3435-3437         V777 3438-3440              
   V778 3441-3443         V779 3444-3446         V780 3447-3449              
   V781 3450-3452         V782 3453-3455         V783 3456-3458              
   V784 3459-3461         V785 3462-3464         V786 3465-3467              
   V787 3468-3472         V788 3473-3477         V789 3478-3482              
   V790 3483-3487         V791 3488-3492         V792 3493-3497              
   V793 3498-3502         V794 3503-3507         V795 3508-3512              
   V796 3513-3517         V797 3518-3522         V798 3523-3527              
   V799 3528-3529         V800 3530-3531         V801 3532-3533              
   V802 3534-3536         V803 3537-3538         V804 3539-3540              
   V805 3541-3542         V806 3543-3544         V807 3545-3546              
   V808 3547-3548         V809 3549-3551         V810 3552-3554              
   V811 3555-3556         V812 3557-3558         V813 3559-3560              
   V814 3561-3562         V815 3563-3564         V816 3565-3566              
   V817 3567-3568         V818 3569-3570         V819 3571-3572              
   V820 3573-3574         V821 3575-3576         V822 3577-3578              
   V823 3579-3580         V824 3581-3583         V825 3584-3586              
   V826 3587-3589         V827 3590-3592         V828 3593-3595              
   V829 3596-3598         V830 3599-3601         V831 3602-3604              
   V832 3605-3607         V833 3608-3610         V834 3611-3613              
   V835 3614-3615         V836 3616-3618         V837 3619-3621              
   V838 3622-3624         V839 3625-3627         V840 3628-3630              
   V841 3631-3633         V842 3634-3636         V843 3637-3639              
   V844 3640-3642         V845 3643-3645         V846 3646-3648              
   V847 3649-3650         V848 3651-3652         V849 3653-3654              
   V850 3655-3656         V851 3657-3658         V852 3659-3660              
   V853 3661-3662         V854 3663-3664         V855 3665-3666              
   V856 3667-3668         V857 3669-3670         V858 3671-3672              
   V859 3673-3675         V860 3676-3679         V861 3680-3683              
   V862 3684-3687         V863 3688-3691         V864 3692-3695              
   V865 3696-3699         V866 3700-3703         V867 3704-3707              
   V868 3708-3711         V869 3712-3715         V870 3716-3719              
   V871 3720-3722         V872 3723-3725         V873 3726-3728              
   V874 3729-3731         V875 3732-3734         V876 3735-3737              
   V877 3738-3740         V878 3741-3743         V879 3744-3746              
   V880 3747-3749         V881 3750-3752         V882 3753-3755              
   V883 3756-3758         V884 3759-3761         V885 3762-3764              
   V886 3765-3767         V887 3768-3770         V888 3771-3773              
   V889 3774-3776         V890 3777-3779         V891 3780-3782              
   V892 3783-3785         V893 3786-3788         V894 3789-3791              
   V895 3792-3794         V896 3795-3797         V897 3798-3800              
   V898 3801-3803         V899 3804-3806         V900 3807-3809              
   V901 3810-3812         V902 3813-3815         V903 3816-3818              
   V904 3819-3821         V905 3822-3824         V906 3825-3827              
   V907 3828-3830         V908 3831-3833         V909 3834-3836              
   V910 3837-3839         V911 3840-3842         V912 3843-3845              
   V913 3846-3848         V914 3849-3851         V915 3852-3854              
   V916 3855-3857         V917 3858-3860         V918 3861-3863              
   V919 3864-3867         V920 3868-3871         V921 3872-3875              
   V922 3876-3879         V923 3880-3883         V924 3884-3887              
   V925 3888-3891         V926 3892-3895         V927 3896-3899              
   V928 3900-3903         V929 3904-3907         V930 3908-3911              
   V931 3912-3914         V932 3915-3917         V933 3918-3920              
   V934 3921-3923         V935 3924-3926         V936 3927-3929              
   V937 3930-3932         V938 3933-3935         V939 3936-3938              
   V940 3939-3941         V941 3942-3944         V942 3945-3947              
   V943 3948-3950         V944 3951-3953         V945 3954-3956              
   V946 3957-3959         V947 3960-3962         V948 3963-3965              
   V949 3966-3968         V950 3969-3971         V951 3972-3974              
   V952 3975-3977         V953 3978-3980         V954 3981-3983              
   V955 3984-3986         V956 3987-3989         V957 3990-3992              
   V958 3993-3995         V959 3996-3999         V960 4000-4003              
   V961 4004-4007         V962 4008-4011         V963 4012-4015              
   V964 4016-4019         V965 4020-4022         V966 4023-4025              
   V967 4026-4028         V968 4029-4031         V969 4032-4034              
   V970 4035-4037         V971 4038-4040         V972 4041-4043              
   V973 4044-4046         V974 4047-4050         V975 4051-4053              
   V976 4054-4056         V977 4057-4059         V978 4060-4062              
   V979 4063-4066         V980 4067-4070         V981 4071-4074              
   V982 4075-4078         V983 4079-4082         V984 4083-4086              
   V985 4087-4090         V986 4091-4094         V987 4095-4098              
   V988 4099-4102         V989 4103-4106         V990 4107-4110              
   V991 4111-4114         V992 4115-4118         V993 4119-4122              
   V994 4123-4126         V995 4127-4130         V996 4131-4134              
   V997 4135-4138         V998 4139-4142         V999 4143-4146              
   V1000 4147-4150        V1001 4151-4154        V1002 4155-4158             
   V1003 4159-4161        V1004 4162-4165        V1005 4166-4169             
   V1006 4170-4173        V1007 4174-4177        V1008 4178-4181             
   V1009 4182-4185        V1010 4186-4188        V1011 4189-4192             
   V1012 4193-4195        V1013 4196-4198        V1014 4199-4202             
   V1015 4203-4205        V1016 4206-4208        V1017 4209-4211             
   V1018 4212-4214        V1019 4215-4217        V1020 4218-4220             
   V1021 4221-4223        V1022 4224-4226        V1023 4227-4229             
   V1024 4230-4232        V1025 4233-4235        V1026 4236-4238             
   V1027 4239-4241        V1028 4242-4244        V1029 4245-4247             
   V1030 4248-4250        V1031 4251-4253        V1032 4254-4256             
   V1033 4257-4259        V1034 4260-4262        V1035 4263-4265             
   V1036 4266-4268        V1037 4269-4271        V1038 4272-4274             
   V1039 4275-4278        V1040 4279-4282        V1041 4283-4286             
   V1042 4287-4290        V1043 4291-4294        V1044 4295-4298             
   V1045 4299-4302        V1046 4303-4306        V1047 4307-4310             
   V1048 4311-4314        V1049 4315-4318        V1050 4319-4322             
   V1051 4323-4325        V1052 4326-4328        V1053 4329-4331             
   V1054 4332-4334        V1055 4335-4337        V1056 4338-4340             
   V1057 4341-4343        V1058 4344-4346        V1059 4347-4349             
   V1060 4350-4352        V1061 4353-4355        V1062 4356-4358             
   V1063 4359-4361        V1064 4362-4364        V1065 4365-4367             
   V1066 4368-4370        V1067 4371-4373        V1068 4374-4376             
   V1069 4377-4379        V1070 4380-4382        V1071 4383-4385             
   V1072 4386-4388        V1073 4389-4391        V1074 4392-4394             
   V1075 4395-4396        V1076 4397-4398        V1077 4399-4400             
   V1078 4401-4402        V1079 4403-4404        V1080 4405-4406             
   V1081 4407-4408        V1082 4409-4411        V1083 4412-4413             
   V1084 4414-4415        V1085 4416-4418        V1086 4419-4420             
   V1087 4421-4422        V1088 4423-4424        V1089 4425-4426             
   V1090 4427-4428        V1091 4429-4430        V1092 4431-4432             
   V1093 4433-4434        V1094 4435-4436        V1095 4437-4438             
   V1096 4439-4440        V1097 4441-4442        V1098 4443-4444             
   V1099 4445-4448        V1100 4449-4452        V1101 4453-4457             
   V1102 4458-4461        V1103 4462-4466        V1104 4467-4471             
   V1105 4472-4476        V1106 4477-4481        V1107 4482-4485             
   V1108 4486-4489        V1109 4490-4493        V1110 4494-4497             
   V1111 4498             V1112 4499             V1113 4500-4501             
   V1114 4502-4503        V1115 4504-4505        V1116 4506                  
   V1117 4507             V1118 4508             V1119 4509                  
   V1120 4510             V1121 4511             V1122 4512                  
   V1123 4513             V1124 4514             V1125 4515                  
   V1126 4516             V1127 4517             V1128 4518                  
   V1129 4519             V1130 4520             V1131 4521                  
   V1132 4522             V1133 4523             V1134 4524                  
   V1135 4525-4526        V1136 4527-4528        V1137 4529                  
   V1138 4530-4531        V1139 4532             V1140 4533-4534             
   V1141 4535-4536        V1142 4537-4538        V1143 4539-4540             
   V1144 4541-4542        V1145 4543-4544        V1146 4545-4546             
   V1147 4547-4548        V1148 4549-4550        V1149 4551                  
   V1150 4552-4553        V1151 4554             V1152 4555-4556             
   V1153 4557-4558        V1154 4559-4560        V1155 4561                  
   V1156 4562-4563        V1157 4564             V1158 4565-4566             
   V1159 4567             V1160 4568             V1161 4569                  
   V1162 4570-4571        V1163 4572             V1164 4573                  
   V1165 4574             V1166 4575             V1167 4576-4577             
   V1168 4578             V1169 4579             V1170 4580                  
   V1171 4581-4582        V1172 4583-4584        V1173 4585-4586             
   V1174 4587-4589        V1175 4590-4591        V1176 4592-4594             
   V1177 4595-4596        V1178 4597-4598        V1179 4599-4600             
   V1180 4601-4602        V1181 4603-4604        V1182 4605-4607             
   V1183 4608-4609        V1184 4610-4611        V1185 4612-4613             
   V1186 4614-4615        V1187 4616-4617        V1188 4618-4619             
   V1189 4620-4621        V1190 4622-4623        V1191 4624-4625             
   V1192 4626-4627        V1193 4628-4629        V1194 4630-4631             
   V1195 4632-4633        V1196 4634             V1197 4635-4636             
   V1198 4637             V1199 4638-4639        V1200 4640                  
   V1201 4641             V1202 4642-4643        V1203 4644                  
   V1204 4645             V1205 4646             V1206 4647-4648             
   V1207 4649             V1208 4650-4651        V1209 4652-4653             
   V1210 4654-4655        V1211 4656-4657        V1212 4658-4659             
   V1213 4660-4661        V1214 4662-4663        V1215 4664                  
   V1216 4665             V1217 4666             V1218 4667-4668             
   V1219 4669-4670        V1220 4671-4672        V1221 4673-4674             
   V1222 4675-4676        V1223 4677-4678        V1224 4679-4680             
   V1225 4681-4682        V1226 4683-4684        V1227 4685-4686             
   V1228 4687-4688        V1229 4689-4690        V1230 4691-4692             
   V1231 4693-4695        V1232 4696-4698        V1233 4699-4701             
   V1234 4702-4704        V1235 4705-4707        V1236 4708-4710             
   V1237 4711-4713        V1238 4714-4716        V1239 4717-4719             
   V1240 4720-4722        V1241 4723-4725        V1242 4726-4728             
   V1243 4729-4730        V1244 4731-4732        V1245 4733-4734             
   V1246 4735-4736        V1247 4737-4738        V1248 4739-4740             
   V1249 4741-4742        V1250 4743-4744        V1251 4745-4746             
   V1252 4747-4748        V1253 4749-4750        V1254 4751-4752             
   V1255 4753-4754        V1256 4755-4756        V1257 4757-4758             
   V1258 4759-4760        V1259 4761-4762        V1260 4763-4764             
   V1261 4765-4766        V1262 4767-4768        V1263 4769-4770             
   V1264 4771-4772        V1265 4773-4774        V1266 4775-4776             
   V1267 4777-4778        V1268 4779-4780        V1269 4781-4782             
   V1270 4783-4784        V1271 4785-4787        V1272 4788-4789             
   V1273 4790-4791        V1274 4792-4793        V1275 4794-4795             
   V1276 4796-4797        V1277 4798-4799        V1278 4800-4801             
   V1279 4802-4803        V1280 4804-4805        V1281 4806-4807             
   V1282 4808-4809        V1283 4810-4811        V1284 4812-4813             
   V1285 4814-4815        V1286 4816-4817        V1287 4818-4819             
   V1288 4820-4821        V1289 4822-4823        V1290 4824-4825             
   V1291 4826-4828        V1292 4829-4831        V1293 4832-4834             
   V1294 4835-4837        V1295 4838-4840        V1296 4841-4843             
   V1297 4844-4846        V1298 4847-4849        V1299 4850-4852             
   V1300 4853-4855        V1301 4856-4858        V1302 4859-4861             
   V1303 4862-4864        V1304 4865-4867        V1305 4868-4870             
   V1306 4871-4873        V1307 4874-4876        V1308 4877-4879             
   V1309 4880-4882        V1310 4883-4885        V1311 4886-4888             
   V1312 4889-4891        V1313 4892-4894        V1314 4895-4897             
   V1315 4898-4900        V1316 4901-4903        V1317 4904-4906             
   V1318 4907-4909        V1319 4910-4912        V1320 4913-4915             
   V1321 4916-4918        V1322 4919-4921        V1323 4922-4924             
   V1324 4925-4927        V1325 4928-4930        V1326 4931-4933             
   V1327 4934-4936        V1328 4937-4939        V1329 4940-4941             
   V1330 4942-4943        V1331 4944-4946        V1332 4947-4948             
   V1333 4949-4951        V1334 4952-4953        V1335 4954-4956             
   V1336 4957-4958        V1337 4959-4960        V1338 4961-4963             
   V1339 4964-4965        V1340 4966-4967        V1341 4968-4969             
   V1342 4970-4971        V1343 4972-4973        V1344 4974-4975             
   V1345 4976-4977        V1346 4978-4979        V1347 4980-4981             
   V1348 4982-4983        V1349 4984-4985        V1350 4986-4987             
   V1351 4988-4990        V1352 4991-4993        V1353 4994-4996             
   V1354 4997-4999        V1355 5000-5002        V1356 5003-5005             
   V1357 5006-5008        V1358 5009-5011        V1359 5012-5014             
   V1360 5015-5017        V1361 5018-5020        V1362 5021-5024             
   V1363 5025-5027        V1364 5028-5030        V1365 5031-5033             
   V1366 5034-5036        V1367 5037-5039        V1368 5040-5042             
   V1369 5043-5045        V1370 5046-5048        V1371 5049-5051             
   V1372 5052-5054        V1373 5055-5057        V1374 5058-5060             
   V1375 5061-5063        V1376 5064-5066        V1377 5067-5069             
   V1378 5070-5072        V1379 5073-5075        V1380 5076-5078             
   V1381 5079-5081        V1382 5082-5084        V1383 5085-5087             
   V1384 5088-5089        V1385 5090-5092        V1386 5093-5095             
   V1387 5096-5097        V1388 5098-5099        V1389 5100-5101             
   V1390 5102-5103        V1391 5104             V1392 5105-5106             
   V1393 5107-5108        V1394 5109-5110        V1395 5111-5112             
   V1396 5113-5114        V1397 5115-5116        V1398 5117-5118             
   V1399 5119-5120        V1400 5121-5122        V1401 5123-5124             
   V1402 5125-5126        V1403 5127-5128        V1404 5129-5130             
   V1405 5131-5132        V1406 5133-5134        V1407 5135-5136             
   V1408 5137-5138        V1409 5139-5140        V1410 5141-5142             
   V1411 5143-5146        V1412 5147-5150        V1413 5151-5154             
   V1414 5155-5158        V1415 5159-5162        V1416 5163-5166             
   V1417 5167-5170        V1418 5171-5174        V1419 5175-5178             
   V1420 5179-5182        V1421 5183-5186        V1422 5187-5190             
   V1423 5191             V1424 5192             V1425 5193                  
   V1426 5194             V1427 5195             V1428 5196                  
   V1429 5197             V1430 5198             V1431 5199                  
   V1432 5200             V1433 5201             V1434 5202                  
   V1435 5203             V1436 5204             V1437 5205                  
   V1438 5206             V1439 5207             V1440 5208                  
   V1441 5209             V1442 5210             V1443 5211                  
   V1444 5212             V1445 5213             V1446 5214                  
   V1447 5215-5217        V1448 5218-5221        V1449 5222-5224             
   V1450 5225-5227        V1451 5228-5230        V1452 5231-5233             
   V1453 5234-5236        V1454 5237-5239        V1455 5240-5242             
   V1456 5243-5245        V1457 5246-5248        V1458 5249-5251;            
                                                                             
* SAS LABEL STATEMENT;                                                       
                                                                             
LABEL                                                                        
   V1 = "ICPSR STUDY NUMBER-9028"      V2 = "ICPSR EDITION NUMBER"           
   V3 = "ICPSR PART NUMBER"            V4 = "ICPSR SEQUENCE ID"              
   V5 = "STATE CODE"                   V6 = "ORI CODE"                       
   V7 = "GROUP NUMBER"                 V8 = "SUB-GROUP"                      
   V9 = "DIVISION"                     V10 = "YEAR"                          
   V11 = "CITY NUMBER"                 V12 = "JUVENILE AGE"                  
   V13 = "CORE  CITY"                  V14 = "COVERED BY CODE"               
   V15 = "LAST UPDATE"                 V16 = "FIELD OFFICE"                  
   V17 = "MONTHS REPORTED"             V18 = "AGENCY COUNT"                  
   V19 = "POPULATION 1"                V20 = "COUNTY 1"                      
   V21 = "SMSA 1"                      V22 = "POPULATION 2"                  
   V23 = "COUNTY 2"                    V24 = "SMSA 2"                        
   V25 = "POPULATION 3"                V26 = "COUNTY 3"                      
   V27 = "SMSA 3"                      V28 = "LAST POPULATION 1"             
   V29 = "LAST POPULATION 2"           V30 = "LAST POPULATION 3"             
   V31 = "POP SOURCE"                  V32 = "FOLLOW UP"                     
   V33 = "SPECIAL MAILING GROUP"       V34 = "SPEC MAILING ADDRESS"          
   V35 = "AGENCY NAME"                 V36 = "AGENCY STATE"                  
   V37 = "ADDRESS LINE1"               V38 = "ADDRESS LINE2"                 
   V39 = "ADDRESS LINE3"               V40 = "ADDRESS LINE4"                 
   V41 = "ZIP CODE"                    V42 = "OLD POP GROUP"                 
   V43 = "JAN: MONTH INCLUDED"         V44 = "FEB: MONTH INCLUDED"           
   V45 = "MAR: MONTH INCLUDED"         V46 = "APR: MONTH INCLUDED"           
   V47 = "MAY: MONTH INCLUDED"         V48 = "JUN: MONTH INCLUDED"           
   V49 = "JUL: MONTH INCLUDED"         V50 = "AUG: MONTH INCLUDED"           
   V51 = "SEP: MONTH INCLUDED"         V52 = "OCT: MONTH INCLUDED"           
   V53 = "NOV: MONTH INCLUDED"         V54 = "DEC: MONTH INCLUDED"           
   V55 = "JAN: LAST UPDATE"            V56 = "FEB: LAST UPDATE"              
   V57 = "MAR: LAST UPDATE"            V58 = "APR: LAST UPDATE"              
   V59 = "MAY: LAST UPDATE"            V60 = "JUN: LAST UPDATE"              
   V61 = "JUL: LAST UPDATE"            V62 = "AUG: LAST UPDATE"              
   V63 = "SEP: LAST UPDATE"            V64 = "OCT: LAST UPDATE"              
   V65 = "NOV: LAST UPDATE"            V66 = "DEC: LAST UPDATE"              
   V67 = "JAN: CARD 0 TYPE"            V68 = "FEB: CARD 0 TYPE"              
   V69 = "MAR: CARD 0 TYPE"            V70 = "APR: CARD 0 TYPE"              
   V71 = "MAY: CARD 0 TYPE"            V72 = "JUN: CARD 0 TYPE"              
   V73 = "JUL: CARD 0 TYPE"            V74 = "AUG: CARD 0 TYPE"              
   V75 = "SEP: CARD 0 TYPE"            V76 = "OCT: CARD 0 TYPE"              
   V77 = "NOV: CARD 0 TYPE"            V78 = "DEC: CARD 0 TYPE"              
   V79 = "JAN: CARD 1 TYPE"            V80 = "FEB: CARD 1 TYPE"              
   V81 = "MAR: CARD 1 TYPE"            V82 = "APR: CARD 1 TYPE"              
   V83 = "MAY: CARD 1 TYPE"            V84 = "JUN: CARD 1 TYPE"              
   V85 = "JUL: CARD 1 TYPE"            V86 = "AUG: CARD 1 TYPE"              
   V87 = "SEP: CARD 1 TYPE"            V88 = "OCT: CARD 1 TYPE"              
   V89 = "NOV: CARD 1 TYPE"            V90 = "DEC: CARD 1 TYPE"              
   V91 = "JAN: CARD 2 TYPE"            V92 = "FEB: CARD 2 TYPE"              
   V93 = "MAR: CARD 2 TYPE"            V94 = "APR: CARD 2 TYPE"              
   V95 = "MAY: CARD 2 TYPE"            V96 = "JUN: CARD 2 TYPE"              
   V97 = "JUL: CARD 2 TYPE"            V98 = "AUG: CARD 2 TYPE"              
   V99 = "SEP: CARD 2 TYPE"            V100 = "OCT: CARD 2 TYPE"             
   V101 = "NOV: CARD 2 TYPE"           V102 = "DEC: CARD 2 TYPE"             
   V103 = "JAN: CARD 3 TYPE"           V104 = "FEB: CARD 3 TYPE"             
   V105 = "MAR: CARD 3 TYPE"           V106 = "APR: CARD 3 TYPE"             
   V107 = "MAY: CARD 3 TYPE"           V108 = "JUN: CARD 3 TYPE"             
   V109 = "JUL: CARD 3 TYPE"           V110 = "AUG: CARD 3 TYPE"             
   V111 = "SEP: CARD 3 TYPE"           V112 = "OCT: CARD 3 TYPE"             
   V113 = "NOV: CARD 3 TYPE"           V114 = "DEC: CARD 3 TYPE"             
   V115 = "JAN: CARD 4 TYPE"           V116 = "FEB: CARD 4 TYPE"             
   V117 = "MAR: CARD 4 TYPE"           V118 = "APR: CARD 4 TYPE"             
   V119 = "MAY: CARD 4 TYPE"           V120 = "JUN: CARD 4 TYPE"             
   V121 = "JUL: CARD 4 TYPE"           V122 = "AUG: CARD 4 TYPE"             
   V123 = "SEP: CARD 4 TYPE"           V124 = "OCT: CARD 4 TYPE"             
   V125 = "NOV: CARD 4 TYPE"           V126 = "DEC: CARD 4 TYPE"             
   V127 = "JAN: CARD 0 PT"             V128 = "FEB: CARD 0 PT"               
   V129 = "MAR: CARD 0 PT"             V130 = "APR: CARD 0 PT"               
   V131 = "MAY: CARD 0 PT"             V132 = "JUN: CARD 0 PT"               
   V133 = "JUL: CARD 0 PT"             V134 = "AUG: CARD 0 PT"               
   V135 = "SEP: CARD 0 PT"             V136 = "OCT: CARD 0 PT"               
   V137 = "NOV: CARD 0 PT"             V138 = "DEC: CARD 0 PT"               
   V139 = "JAN: CARD 1 PT"             V140 = "FEB: CARD 1 PT"               
   V141 = "MAR: CARD 1 PT"             V142 = "APR: CARD 1 PT"               
   V143 = "MAY: CARD 1 PT"             V144 = "JUN: CARD 1 PT"               
   V145 = "JUL: CARD 1 PT"             V146 = "AUG: CARD 1 PT"               
   V147 = "SEP: CARD 1 PT"             V148 = "OCT: CARD 1 PT"               
   V149 = "NOV: CARD 1 PT"             V150 = "DEC: CARD 1 PT"               
   V151 = "JAN: CARD 2 PT"             V152 = "FEB: CARD 2 PT"               
   V153 = "MAR: CARD 2 PT"             V154 = "APR: CARD 2 PT"               
   V155 = "MAY: CARD 2 PT"             V156 = "JUN: CARD 2 PT"               
   V157 = "JUL: CARD 2 PT"             V158 = "AUG: CARD 2 PT"               
   V159 = "SEP: CARD 2 PT"             V160 = "OCT: CARD 2 PT"               
   V161 = "NOV: CARD 2 PT"             V162 = "DEC: CARD 2 PT"               
   V163 = "JAN: CARD 3 PT"             V164 = "FEB: CARD 3 PT"               
   V165 = "MAR: CARD 3 PT"             V166 = "APR: CARD 3 PT"               
   V167 = "MAY: CARD 3 PT"             V168 = "JUN: CARD 3 PT"               
   V169 = "JUL: CARD 3 PT"             V170 = "AUG: CARD 3 PT"               
   V171 = "SEP: CARD 3 PT"             V172 = "OCT: CARD 3 PT"               
   V173 = "NOV: CARD 3 PT"             V174 = "DEC: CARD 3 PT"               
   V175 = "JAN: UNFOUNDED MURDER"      V176 = "FEB: UNFOUNDED MURDER"        
   V177 = "MAR: UNFOUNDED MURDER"      V178 = "APR: UNFOUNDED MURDER"        
   V179 = "MAY: UNFOUNDED MURDER"      V180 = "JUN: UNFOUNDED MURDER"        
   V181 = "JUL: UNFOUNDED MURDER"      V182 = "AUG: UNFOUNDED MURDER"        
   V183 = "SEP: UNFOUNDED MURDER"      V184 = "OCT: UNFOUNDED MURDER"        
   V185 = "NOV: UNFOUNDED MURDER"      V186 = "DEC: UNFOUNDED MURDER"        
   V187 = "JAN: UNFOUNDED MANSLGHTR"   V188 = "FEB: UNFOUNDED MANSLGHTR"     
   V189 = "MAR: UNFOUNDED MANSLGHTR"   V190 = "APR: UNFOUNDED MANSLGHTR"     
   V191 = "MAY: UNFOUNDED MANSLGHTR"   V192 = "JUN: UNFOUNDED MANSLGHTR"     
   V193 = "JUL: UNFOUNDED MANSLGHTR"   V194 = "AUG: UNFOUNDED MANSLGHTR"     
   V195 = "SEP: UNFOUNDED MANSLGHTR"   V196 = "OCT: UNFOUNDED MANSLGHTR"     
   V197 = "NOV: UNFOUNDED MANSLGHTR"   V198 = "DEC: UNFOUNDED MANSLGHTR"     
   V199 = "JAN: UNFOUNDED RAPE TOTL"   V200 = "FEB: UNFOUNDED RAPE TOTL"     
   V201 = "MAR: UNFOUNDED RAPE TOTL"   V202 = "APR: UNFOUNDED RAPE TOTL"     
   V203 = "MAY: UNFOUNDED RAPE TOTL"   V204 = "JUN: UNFOUNDED RAPE TOTL"     
   V205 = "JUL: UNFOUNDED RAPE TOTL"   V206 = "AUG: UNFOUNDED RAPE TOTL"     
   V207 = "SEP: UNFOUNDED RAPE TOTL"   V208 = "OCT: UNFOUNDED RAPE TOTL"     
   V209 = "NOV: UNFOUNDED RAPE TOTL"   V210 = "DEC: UNFOUNDED RAPE TOTL"     
   V211 = "JAN: UNFOUNDED FORC RAPE"   V212 = "FEB: UNFOUNDED FORC RAPE"     
   V213 = "MAR: UNFOUNDED FORC RAPE"   V214 = "APR: UNFOUNDED FORC RAPE"     
   V215 = "MAY: UNFOUNDED FORC RAPE"   V216 = "JUN: UNFOUNDED FORC RAPE"     
   V217 = "JUL: UNFOUNDED FORC RAPE"   V218 = "AUG: UNFOUNDED FORC RAPE"     
   V219 = "SEP: UNFOUNDED FORC RAPE"   V220 = "OCT: UNFOUNDED FORC RAPE"     
   V221 = "NOV: UNFOUNDED FORC RAPE"   V222 = "DEC: UNFOUNDED FORC RAPE"     
   V223 = "JAN: UNFOUND ATMPTD RAPE"   V224 = "FEB: UNFOUND ATMPTD RAPE"     
   V225 = "MAR: UNFOUND ATMPTD RAPE"   V226 = "APR: UNFOUND ATMPTD RAPE"     
   V227 = "MAY: UNFOUND ATMPTD RAPE"   V228 = "JUN: UNFOUND ATMPTD RAPE"     
   V229 = "JUL: UNFOUND ATMPTD RAPE"   V230 = "AUG: UNFOUND ATMPTD RAPE"     
   V231 = "SEP: UNFOUND ATMPTD RAPE"   V232 = "OCT: UNFOUND ATMPTD RAPE"     
   V233 = "NOV: UNFOUND ATMPTD RAPE"   V234 = "DEC: UNFOUND ATMPTD RAPE"     
   V235 = "JAN: UNFOUND ROBBRY TOTL"   V236 = "FEB: UNFOUND ROBBRY TOTL"     
   V237 = "MAR: UNFOUND ROBBRY TOTL"   V238 = "APR: UNFOUND ROBBRY TOTL"     
   V239 = "MAY: UNFOUND ROBBRY TOTL"   V240 = "JUN: UNFOUND ROBBRY TOTL"     
   V241 = "JUL: UNFOUND ROBBRY TOTL"   V242 = "AUG: UNFOUND ROBBRY TOTL"     
   V243 = "SEP: UNFOUND ROBBRY TOTL"   V244 = "OCT: UNFOUND ROBBRY TOTL"     
   V245 = "NOV: UNFOUND ROBBRY TOTL"   V246 = "DEC: UNFOUND ROBBRY TOTL"     
   V247 = "JAN: UNFOUND GUN ROBBERY"   V248 = "FEB: UNFOUND GUN ROBBERY"     
   V249 = "MAR: UNFOUND GUN ROBBERY"   V250 = "APR: UNFOUND GUN ROBBERY"     
   V251 = "MAY: UNFOUND GUN ROBBERY"   V252 = "JUN: UNFOUND GUN ROBBERY"     
   V253 = "JUL: UNFOUND GUN ROBBERY"   V254 = "AUG: UNFOUND GUN ROBBERY"     
   V255 = "SEP: UNFOUND GUN ROBBERY"   V256 = "OCT: UNFOUND GUN ROBBERY"     
   V257 = "NOV: UNFOUND GUN ROBBERY"   V258 = "DEC: UNFOUND GUN ROBBERY"     
   V259 = "JAN: UNFOUND KNIFE ROB"     V260 = "FEB: UNFOUND KNIFE ROB"       
   V261 = "MAR: UNFOUND KNIFE ROB"     V262 = "APR: UNFOUND KNIFE ROB"       
   V263 = "MAY: UNFOUND KNIFE ROB"     V264 = "JUN: UNFOUND KNIFE ROB"       
   V265 = "JUL: UNFOUND KNIFE ROB"     V266 = "AUG: UNFOUND KNIFE ROB"       
   V267 = "SEP: UNFOUND KNIFE ROB"     V268 = "OCT: UNFOUND KNIFE ROB"       
   V269 = "NOV: UNFOUND KNIFE ROB"     V270 = "DEC: UNFOUND KNIFE ROB"       
   V271 = "JAN: UNFND OTHR WEAP ROB"   V272 = "FEB: UNFND OTHR WEAP ROB"     
   V273 = "MAR: UNFND OTHR WEAP ROB"   V274 = "APR: UNFND OTHR WEAP ROB"     
   V275 = "MAY: UNFND OTHR WEAP ROB"   V276 = "JUN: UNFND OTHR WEAP ROB"     
   V277 = "JUL: UNFND OTHR WEAP ROB"   V278 = "AUG: UNFND OTHR WEAP ROB"     
   V279 = "SEP: UNFND OTHR WEAP ROB"   V280 = "OCT: UNFND OTHR WEAP ROB"     
   V281 = "NOV: UNFND OTHR WEAP ROB"   V282 = "DEC: UNFND OTHR WEAP ROB"     
   V283 = "JAN: UNFND STRNG ARM ROB"   V284 = "FEB: UNFND STRNG ARM ROB"     
   V285 = "MAR: UNFND STRNG ARM ROB"   V286 = "APR: UNFND STRNG ARM ROB"     
   V287 = "MAY: UNFND STRNG ARM ROB"   V288 = "JUN: UNFND STRNG ARM ROB"     
   V289 = "JUL: UNFND STRNG ARM ROB"   V290 = "AUG: UNFND STRNG ARM ROB"     
   V291 = "SEP: UNFND STRNG ARM ROB"   V292 = "OCT: UNFND STRNG ARM ROB"     
   V293 = "NOV: UNFND STRNG ARM ROB"   V294 = "DEC: UNFND STRNG ARM ROB"     
   V295 = "JAN: UNFOUND ASSLT TOTAL"   V296 = "FEB: UNFOUND ASSLT TOTAL"     
   V297 = "MAR: UNFOUND ASSLT TOTAL"   V298 = "APR: UNFOUND ASSLT TOTAL"     
   V299 = "MAY: UNFOUND ASSLT TOTAL"   V300 = "JUN: UNFOUND ASSLT TOTAL"     
   V301 = "JUL: UNFOUND ASSLT TOTAL"   V302 = "AUG: UNFOUND ASSLT TOTAL"     
   V303 = "SEP: UNFOUND ASSLT TOTAL"   V304 = "OCT: UNFOUND ASSLT TOTAL"     
   V305 = "NOV: UNFOUND ASSLT TOTAL"   V306 = "DEC: UNFOUND ASSLT TOTAL"     
   V307 = "JAN: UNFOUND GUN ASSLT"     V308 = "FEB: UNFOUND GUN ASSLT"       
   V309 = "MAR: UNFOUND GUN ASSLT"     V310 = "APR: UNFOUND GUN ASSLT"       
   V311 = "MAY: UNFOUND GUN ASSLT"     V312 = "JUN: UNFOUND GUN ASSLT"       
   V313 = "JUL: UNFOUND GUN ASSLT"     V314 = "AUG: UNFOUND GUN ASSLT"       
   V315 = "SEP: UNFOUND GUN ASSLT"     V316 = "OCT: UNFOUND GUN ASSLT"       
   V317 = "NOV: UNFOUND GUN ASSLT"     V318 = "DEC: UNFOUND GUN ASSLT"       
   V319 = "JAN: UNFOUND KNIFE ASSLT"   V320 = "FEB: UNFOUND KNIFE ASSLT"     
   V321 = "MAR: UNFOUND KNIFE ASSLT"   V322 = "APR: UNFOUND KNIFE ASSLT"     
   V323 = "MAY: UNFOUND KNIFE ASSLT"   V324 = "JUN: UNFOUND KNIFE ASSLT"     
   V325 = "JUL: UNFOUND KNIFE ASSLT"   V326 = "AUG: UNFOUND KNIFE ASSLT"     
   V327 = "SEP: UNFOUND KNIFE ASSLT"   V328 = "OCT: UNFOUND KNIFE ASSLT"     
   V329 = "NOV: UNFOUND KNIFE ASSLT"   V330 = "DEC: UNFOUND KNIFE ASSLT"     
   V331 = "JAN: UNFND OTH WEAP ASSL"   V332 = "FEB: UNFND OTH WEAP ASSL"     
   V333 = "MAR: UNFND OTH WEAP ASSL"   V334 = "APR: UNFND OTH WEAP ASSL"     
   V335 = "MAY: UNFND OTH WEAP ASSL"   V336 = "JUN: UNFND OTH WEAP ASSL"     
   V337 = "JUL: UNFND OTH WEAP ASSL"   V338 = "AUG: UNFND OTH WEAP ASSL"     
   V339 = "SEP: UNFND OTH WEAP ASSL"   V340 = "OCT: UNFND OTH WEAP ASSL"     
   V341 = "NOV: UNFND OTH WEAP ASSL"   V342 = "DEC: UNFND OTH WEAP ASSL"     
   V343 = "JAN: UNFND HND/FEET ASLT"   V344 = "FEB: UNFND HND/FEET ASLT"     
   V345 = "MAR: UNFND HND/FEET ASLT"   V346 = "APR: UNFND HND/FEET ASLT"     
   V347 = "MAY: UNFND HND/FEET ASLT"   V348 = "JUN: UNFND HND/FEET ASLT"     
   V349 = "JUL: UNFND HND/FEET ASLT"   V350 = "AUG: UNFND HND/FEET ASLT"     
   V351 = "SEP: UNFND HND/FEET ASLT"   V352 = "OCT: UNFND HND/FEET ASLT"     
   V353 = "NOV: UNFND HND/FEET ASLT"   V354 = "DEC: UNFND HND/FEET ASLT"     
   V355 = "JAN: UNFND SIMPL ASSAULT"   V356 = "FEB: UNFND SIMPL ASSAULT"     
   V357 = "MAR: UNFND SIMPL ASSAULT"   V358 = "APR: UNFND SIMPL ASSAULT"     
   V359 = "MAY: UNFND SIMPL ASSAULT"   V360 = "JUN: UNFND SIMPL ASSAULT"     
   V361 = "JUL: UNFND SIMPL ASSAULT"   V362 = "AUG: UNFND SIMPL ASSAULT"     
   V363 = "SEP: UNFND SIMPL ASSAULT"   V364 = "OCT: UNFND SIMPL ASSAULT"     
   V365 = "NOV: UNFND SIMPL ASSAULT"   V366 = "DEC: UNFND SIMPL ASSAULT"     
   V367 = "JAN: UNFOUND BURG TOTAL"    V368 = "FEB: UNFOUND BURG TOTAL"      
   V369 = "MAR: UNFOUND BURG TOTAL"    V370 = "APR: UNFOUND BURG TOTAL"      
   V371 = "MAY: UNFOUND BURG TOTAL"    V372 = "JUN: UNFOUND BURG TOTAL"      
   V373 = "JUL: UNFOUND BURG TOTAL"    V374 = "AUG: UNFOUND BURG TOTAL"      
   V375 = "SEP: UNFOUND BURG TOTAL"    V376 = "OCT: UNFOUND BURG TOTAL"      
   V377 = "NOV: UNFOUND BURG TOTAL"    V378 = "DEC: UNFOUND BURG TOTAL"      
   V379 = "JAN: UNFOUND FORCE ENTRY"   V380 = "FEB: UNFOUND FORCE ENTRY"     
   V381 = "MAR: UNFOUND FORCE ENTRY"   V382 = "APR: UNFOUND FORCE ENTRY"     
   V383 = "MAY: UNFOUND FORCE ENTRY"   V384 = "JUN: UNFOUND FORCE ENTRY"     
   V385 = "JUL: UNFOUND FORCE ENTRY"   V386 = "AUG: UNFOUND FORCE ENTRY"     
   V387 = "SEP: UNFOUND FORCE ENTRY"   V388 = "OCT: UNFOUND FORCE ENTRY"     
   V389 = "NOV: UNFOUND FORCE ENTRY"   V390 = "DEC: UNFOUND FORCE ENTRY"     
   V391 = "JAN: UNFND ENTRY NO FRCE"   V392 = "FEB: UNFND ENTRY NO FRCE"     
   V393 = "MAR: UNFND ENTRY NO FRCE"   V394 = "APR: UNFND ENTRY NO FRCE"     
   V395 = "MAY: UNFND ENTRY NO FRCE"   V396 = "JUN: UNFND ENTRY NO FRCE"     
   V397 = "JUL: UNFND ENTRY NO FRCE"   V398 = "AUG: UNFND ENTRY NO FRCE"     
   V399 = "SEP: UNFND ENTRY NO FRCE"   V400 = "OCT: UNFND ENTRY NO FRCE"     
   V401 = "NOV: UNFND ENTRY NO FRCE"   V402 = "DEC: UNFND ENTRY NO FRCE"     
   V403 = "JAN: UNFND ATT FORC ENTY"   V404 = "FEB: UNFND ATT FORC ENTY"     
   V405 = "MAR: UNFND ATT FORC ENTY"   V406 = "APR: UNFND ATT FORC ENTY"     
   V407 = "MAY: UNFND ATT FORC ENTY"   V408 = "JUN: UNFND ATT FORC ENTY"     
   V409 = "JUL: UNFND ATT FORC ENTY"   V410 = "AUG: UNFND ATT FORC ENTY"     
   V411 = "SEP: UNFND ATT FORC ENTY"   V412 = "OCT: UNFND ATT FORC ENTY"     
   V413 = "NOV: UNFND ATT FORC ENTY"   V414 = "DEC: UNFND ATT FORC ENTY"     
   V415 = "JAN: UNFOUND LARCNY TOTL"   V416 = "FEB: UNFOUND LARCNY TOTL"     
   V417 = "MAR: UNFOUND LARCNY TOTL"   V418 = "APR: UNFOUND LARCNY TOTL"     
   V419 = "MAY: UNFOUND LARCNY TOTL"   V420 = "JUN: UNFOUND LARCNY TOTL"     
   V421 = "JUL: UNFOUND LARCNY TOTL"   V422 = "AUG: UNFOUND LARCNY TOTL"     
   V423 = "SEP: UNFOUND LARCNY TOTL"   V424 = "OCT: UNFOUND LARCNY TOTL"     
   V425 = "NOV: UNFOUND LARCNY TOTL"   V426 = "DEC: UNFOUND LARCNY TOTL"     
   V427 = "JAN: UF TOT MTR VHC THFT"   V428 = "FEB: UF TOT MTR VHC THFT"     
   V429 = "MAR: UF TOT MTR VHC THFT"   V430 = "APR: UF TOT MTR VHC THFT"     
   V431 = "MAY: UF TOT MTR VHC THFT"   V432 = "JUN: UF TOT MTR VHC THFT"     
   V433 = "JUL: UF TOT MTR VHC THFT"   V434 = "AUG: UF TOT MTR VHC THFT"     
   V435 = "SEP: UF TOT MTR VHC THFT"   V436 = "OCT: UF TOT MTR VHC THFT"     
   V437 = "NOV: UF TOT MTR VHC THFT"   V438 = "DEC: UF TOT MTR VHC THFT"     
   V439 = "JAN: UNFOUND AUTO THEFT"    V440 = "FEB: UNFOUND AUTO THEFT"      
   V441 = "MAR: UNFOUND AUTO THEFT"    V442 = "APR: UNFOUND AUTO THEFT"      
   V443 = "MAY: UNFOUND AUTO THEFT"    V444 = "JUN: UNFOUND AUTO THEFT"      
   V445 = "JUL: UNFOUND AUTO THEFT"    V446 = "AUG: UNFOUND AUTO THEFT"      
   V447 = "SEP: UNFOUND AUTO THEFT"    V448 = "OCT: UNFOUND AUTO THEFT"      
   V449 = "NOV: UNFOUND AUTO THEFT"    V450 = "DEC: UNFOUND AUTO THEFT"      
   V451 = "JAN: UNFOUND TRUCK THEFT"   V452 = "FEB: UNFOUND TRUCK THEFT"     
   V453 = "MAR: UNFOUND TRUCK THEFT"   V454 = "APR: UNFOUND TRUCK THEFT"     
   V455 = "MAY: UNFOUND TRUCK THEFT"   V456 = "JUN: UNFOUND TRUCK THEFT"     
   V457 = "JUL: UNFOUND TRUCK THEFT"   V458 = "AUG: UNFOUND TRUCK THEFT"     
   V459 = "SEP: UNFOUND TRUCK THEFT"   V460 = "OCT: UNFOUND TRUCK THEFT"     
   V461 = "NOV: UNFOUND TRUCK THEFT"   V462 = "DEC: UNFOUND TRUCK THEFT"     
   V463 = "JAN: UNFND OTH VHC THEFT"   V464 = "FEB: UNFND OTH VHC THEFT"     
   V465 = "MAR: UNFND OTH VHC THEFT"   V466 = "APR: UNFND OTH VHC THEFT"     
   V467 = "MAY: UNFND OTH VHC THEFT"   V468 = "JUN: UNFND OTH VHC THEFT"     
   V469 = "JUL: UNFND OTH VHC THEFT"   V470 = "AUG: UNFND OTH VHC THEFT"     
   V471 = "SEP: UNFND OTH VHC THEFT"   V472 = "OCT: UNFND OTH VHC THEFT"     
   V473 = "NOV: UNFND OTH VHC THEFT"   V474 = "DEC: UNFND OTH VHC THEFT"     
   V475 = "JAN: UNFOUND ALL OFFNCS"    V476 = "FEB: UNFOUND ALL OFFNCS"      
   V477 = "MAR: UNFOUND ALL OFFNCS"    V478 = "APR: UNFOUND ALL OFFNCS"      
   V479 = "MAY: UNFOUND ALL OFFNCS"    V480 = "JUN: UNFOUND ALL OFFNCS"      
   V481 = "JUL: UNFOUND ALL OFFNCS"    V482 = "AUG: UNFOUND ALL OFFNCS"      
   V483 = "SEP: UNFOUND ALL OFFNCS"    V484 = "OCT: UNFOUND ALL OFFNCS"      
   V485 = "NOV: UNFOUND ALL OFFNCS"    V486 = "DEC: UNFOUND ALL OFFNCS"      
   V487 = "JAN: ACT NUMB MURDER"       V488 = "FEB: ACT NUMB MURDER"         
   V489 = "MAR: ACT NUMB MURDER"       V490 = "APR: ACT NUMB MURDER"         
   V491 = "MAY: ACT NUMB MURDER"       V492 = "JUN: ACT NUMB MURDER"         
   V493 = "JUL: ACT NUMB MURDER"       V494 = "AUG: ACT NUMB MURDER"         
   V495 = "SEP: ACT NUMB MURDER"       V496 = "OCT: ACT NUMB MURDER"         
   V497 = "NOV: ACT NUMB MURDER"       V498 = "DEC: ACT NUMB MURDER"         
   V499 = "JAN: ACT NUMB MANSLGHTR"    V500 = "FEB: ACT NUMB MANSLGHTR"      
   V501 = "MAR: ACT NUMB MANSLGHTR"    V502 = "APR: ACT NUMB MANSLGHTR"      
   V503 = "MAY: ACT NUMB MANSLGHTR"    V504 = "JUN: ACT NUMB MANSLGHTR"      
   V505 = "JUL: ACT NUMB MANSLGHTR"    V506 = "AUG: ACT NUMB MANSLGHTR"      
   V507 = "SEP: ACT NUMB MANSLGHTR"    V508 = "OCT: ACT NUMB MANSLGHTR"      
   V509 = "NOV: ACT NUMB MANSLGHTR"    V510 = "DEC: ACT NUMB MANSLGHTR"      
   V511 = "JAN: ACT NUMB RAPE TOTL"    V512 = "FEB: ACT NUMB RAPE TOTL"      
   V513 = "MAR: ACT NUMB RAPE TOTL"    V514 = "APR: ACT NUMB RAPE TOTL"      
   V515 = "MAY: ACT NUMB RAPE TOTL"    V516 = "JUN: ACT NUMB RAPE TOTL"      
   V517 = "JUL: ACT NUMB RAPE TOTL"    V518 = "AUG: ACT NUMB RAPE TOTL"      
   V519 = "SEP: ACT NUMB RAPE TOTL"    V520 = "OCT: ACT NUMB RAPE TOTL"      
   V521 = "NOV: ACT NUMB RAPE TOTL"    V522 = "DEC: ACT NUMB RAPE TOTL"      
   V523 = "JAN: ACT NUMB FORC RAPE"    V524 = "FEB: ACT NUMB FORC RAPE"      
   V525 = "MAR: ACT NUMB FORC RAPE"    V526 = "APR: ACT NUMB FORC RAPE"      
   V527 = "MAY: ACT NUMB FORC RAPE"    V528 = "JUN: ACT NUMB FORC RAPE"      
   V529 = "JUL: ACT NUMB FORC RAPE"    V530 = "AUG: ACT NUMB FORC RAPE"      
   V531 = "SEP: ACT NUMB FORC RAPE"    V532 = "OCT: ACT NUMB FORC RAPE"      
   V533 = "NOV: ACT NUMB FORC RAPE"    V534 = "DEC: ACT NUMB FORC RAPE"      
   V535 = "JAN: ACT NUM ATMPTD RAPE"   V536 = "FEB: ACT NUM ATMPTD RAPE"     
   V537 = "MAR: ACT NUM ATMPTD RAPE"   V538 = "APR: ACT NUM ATMPTD RAPE"     
   V539 = "MAY: ACT NUM ATMPTD RAPE"   V540 = "JUN: ACT NUM ATMPTD RAPE"     
   V541 = "JUL: ACT NUM ATMPTD RAPE"   V542 = "AUG: ACT NUM ATMPTD RAPE"     
   V543 = "SEP: ACT NUM ATMPTD RAPE"   V544 = "OCT: ACT NUM ATMPTD RAPE"     
   V545 = "NOV: ACT NUM ATMPTD RAPE"   V546 = "DEC: ACT NUM ATMPTD RAPE"     
   V547 = "JAN: ACT NUM ROBBRY TOTL"   V548 = "FEB: ACT NUM ROBBRY TOTL"     
   V549 = "MAR: ACT NUM ROBBRY TOTL"   V550 = "APR: ACT NUM ROBBRY TOTL"     
   V551 = "MAY: ACT NUM ROBBRY TOTL"   V552 = "JUN: ACT NUM ROBBRY TOTL"     
   V553 = "JUL: ACT NUM ROBBRY TOTL"   V554 = "AUG: ACT NUM ROBBRY TOTL"     
   V555 = "SEP: ACT NUM ROBBRY TOTL"   V556 = "OCT: ACT NUM ROBBRY TOTL"     
   V557 = "NOV: ACT NUM ROBBRY TOTL"   V558 = "DEC: ACT NUM ROBBRY TOTL"     
   V559 = "JAN: ACT NUM GUN ROBBERY"   V560 = "FEB: ACT NUM GUN ROBBERY"     
   V561 = "MAR: ACT NUM GUN ROBBERY"   V562 = "APR: ACT NUM GUN ROBBERY"     
   V563 = "MAY: ACT NUM GUN ROBBERY"   V564 = "JUN: ACT NUM GUN ROBBERY"     
   V565 = "JUL: ACT NUM GUN ROBBERY"   V566 = "AUG: ACT NUM GUN ROBBERY"     
   V567 = "SEP: ACT NUM GUN ROBBERY"   V568 = "OCT: ACT NUM GUN ROBBERY"     
   V569 = "NOV: ACT NUM GUN ROBBERY"   V570 = "DEC: ACT NUM GUN ROBBERY"     
   V571 = "JAN: ACT NUM KNIFE ROBRY"   V572 = "FEB: ACT NUM KNIFE ROBRY"     
   V573 = "MAR: ACT NUM KNIFE ROBRY"   V574 = "APR: ACT NUM KNIFE ROBRY"     
   V575 = "MAY: ACT NUM KNIFE ROBRY"   V576 = "JUN: ACT NUM KNIFE ROBRY"     
   V577 = "JUL: ACT NUM KNIFE ROBRY"   V578 = "AUG: ACT NUM KNIFE ROBRY"     
   V579 = "SEP: ACT NUM KNIFE ROBRY"   V580 = "OCT: ACT NUM KNIFE ROBRY"     
   V581 = "NOV: ACT NUM KNIFE ROBRY"   V582 = "DEC: ACT NUM KNIFE ROBRY"     
   V583 = "JAN: ACT NUM OTH WPN ROB"   V584 = "FEB: ACT NUM OTH WPN ROB"     
   V585 = "MAR: ACT NUM OTH WPN ROB"   V586 = "APR: ACT NUM OTH WPN ROB"     
   V587 = "MAY: ACT NUM OTH WPN ROB"   V588 = "JUN: ACT NUM OTH WPN ROB"     
   V589 = "JUL: ACT NUM OTH WPN ROB"   V590 = "AUG: ACT NUM OTH WPN ROB"     
   V591 = "SEP: ACT NUM OTH WPN ROB"   V592 = "OCT: ACT NUM OTH WPN ROB"     
   V593 = "NOV: ACT NUM OTH WPN ROB"   V594 = "DEC: ACT NUM OTH WPN ROB"     
   V595 = "JAN: ACT NUM STR ARM ROB"   V596 = "FEB: ACT NUM STR ARM ROB"     
   V597 = "MAR: ACT NUM STR ARM ROB"   V598 = "APR: ACT NUM STR ARM ROB"     
   V599 = "MAY: ACT NUM STR ARM ROB"   V600 = "JUN: ACT NUM STR ARM ROB"     
   V601 = "JUL: ACT NUM STR ARM ROB"   V602 = "AUG: ACT NUM STR ARM ROB"     
   V603 = "SEP: ACT NUM STR ARM ROB"   V604 = "OCT: ACT NUM STR ARM ROB"     
   V605 = "NOV: ACT NUM STR ARM ROB"   V606 = "DEC: ACT NUM STR ARM ROB"     
   V607 = "JAN: ACT NUM ASSLT TOTAL"   V608 = "FEB: ACT NUM ASSLT TOTAL"     
   V609 = "MAR: ACT NUM ASSLT TOTAL"   V610 = "APR: ACT NUM ASSLT TOTAL"     
   V611 = "MAY: ACT NUM ASSLT TOTAL"   V612 = "JUN: ACT NUM ASSLT TOTAL"     
   V613 = "JUL: ACT NUM ASSLT TOTAL"   V614 = "AUG: ACT NUM ASSLT TOTAL"     
   V615 = "SEP: ACT NUM ASSLT TOTAL"   V616 = "OCT: ACT NUM ASSLT TOTAL"     
   V617 = "NOV: ACT NUM ASSLT TOTAL"   V618 = "DEC: ACT NUM ASSLT TOTAL"     
   V619 = "JAN: ACT NUM GUN ASSLT"     V620 = "FEB: ACT NUM GUN ASSLT"       
   V621 = "MAR: ACT NUM GUN ASSLT"     V622 = "APR: ACT NUM GUN ASSLT"       
   V623 = "MAY: ACT NUM GUN ASSLT"     V624 = "JUN: ACT NUM GUN ASSLT"       
   V625 = "JUL: ACT NUM GUN ASSLT"     V626 = "AUG: ACT NUM GUN ASSLT"       
   V627 = "SEP: ACT NUM GUN ASSLT"     V628 = "OCT: ACT NUM GUN ASSLT"       
   V629 = "NOV: ACT NUM GUN ASSLT"     V630 = "DEC: ACT NUM GUN ASSLT"       
   V631 = "JAN: ACT NUM KNIFE ASSLT"   V632 = "FEB: ACT NUM KNIFE ASSLT"     
   V633 = "MAR: ACT NUM KNIFE ASSLT"   V634 = "APR: ACT NUM KNIFE ASSLT"     
   V635 = "MAY: ACT NUM KNIFE ASSLT"   V636 = "JUN: ACT NUM KNIFE ASSLT"     
   V637 = "JUL: ACT NUM KNIFE ASSLT"   V638 = "AUG: ACT NUM KNIFE ASSLT"     
   V639 = "SEP: ACT NUM KNIFE ASSLT"   V640 = "OCT: ACT NUM KNIFE ASSLT"     
   V641 = "NOV: ACT NUM KNIFE ASSLT"   V642 = "DEC: ACT NUM KNIFE ASSLT"     
   V643 = "JAN: ACT # OTH WPN ASSLT"   V644 = "FEB: ACT # OTH WPN ASSLT"     
   V645 = "MAR: ACT # OTH WPN ASSLT"   V646 = "APR: ACT # OTH WPN ASSLT"     
   V647 = "MAY: ACT # OTH WPN ASSLT"   V648 = "JUN: ACT # OTH WPN ASSLT"     
   V649 = "JUL: ACT # OTH WPN ASSLT"   V650 = "AUG: ACT # OTH WPN ASSLT"     
   V651 = "SEP: ACT # OTH WPN ASSLT"   V652 = "OCT: ACT # OTH WPN ASSLT"     
   V653 = "NOV: ACT # OTH WPN ASSLT"   V654 = "DEC: ACT # OTH WPN ASSLT"     
   V655 = "JAN: ACT NUM HND/FT ASSL"   V656 = "FEB: ACT NUM HND/FT ASSL"     
   V657 = "MAR: ACT NUM HND/FT ASSL"   V658 = "APR: ACT NUM HND/FT ASSL"     
   V659 = "MAY: ACT NUM HND/FT ASSL"   V660 = "JUN: ACT NUM HND/FT ASSL"     
   V661 = "JUL: ACT NUM HND/FT ASSL"   V662 = "AUG: ACT NUM HND/FT ASSL"     
   V663 = "SEP: ACT NUM HND/FT ASSL"   V664 = "OCT: ACT NUM HND/FT ASSL"     
   V665 = "NOV: ACT NUM HND/FT ASSL"   V666 = "DEC: ACT NUM HND/FT ASSL"     
   V667 = "JAN: ACT NUM SIMPL ASSAU"   V668 = "FEB: ACT NUM SIMPL ASSAU"     
   V669 = "MAR: ACT NUM SIMPL ASSAU"   V670 = "APR: ACT NUM SIMPL ASSAU"     
   V671 = "MAY: ACT NUM SIMPL ASSAU"   V672 = "JUN: ACT NUM SIMPL ASSAU"     
   V673 = "JUL: ACT NUM SIMPL ASSAU"   V674 = "AUG: ACT NUM SIMPL ASSAU"     
   V675 = "SEP: ACT NUM SIMPL ASSAU"   V676 = "OCT: ACT NUM SIMPL ASSAU"     
   V677 = "NOV: ACT NUM SIMPL ASSAU"   V678 = "DEC: ACT NUM SIMPL ASSAU"     
   V679 = "JAN: ACT NUM BURG TOTAL"    V680 = "FEB: ACT NUM BURG TOTAL"      
   V681 = "MAR: ACT NUM BURG TOTAL"    V682 = "APR: ACT NUM BURG TOTAL"      
   V683 = "MAY: ACT NUM BURG TOTAL"    V684 = "JUN: ACT NUM BURG TOTAL"      
   V685 = "JUL: ACT NUM BURG TOTAL"    V686 = "AUG: ACT NUM BURG TOTAL"      
   V687 = "SEP: ACT NUM BURG TOTAL"    V688 = "OCT: ACT NUM BURG TOTAL"      
   V689 = "NOV: ACT NUM BURG TOTAL"    V690 = "DEC: ACT NUM BURG TOTAL"      
   V691 = "JAN: ACT NUM FORCE ENTRY"   V692 = "FEB: ACT NUM FORCE ENTRY"     
   V693 = "MAR: ACT NUM FORCE ENTRY"   V694 = "APR: ACT NUM FORCE ENTRY"     
   V695 = "MAY: ACT NUM FORCE ENTRY"   V696 = "JUN: ACT NUM FORCE ENTRY"     
   V697 = "JUL: ACT NUM FORCE ENTRY"   V698 = "AUG: ACT NUM FORCE ENTRY"     
   V699 = "SEP: ACT NUM FORCE ENTRY"   V700 = "OCT: ACT NUM FORCE ENTRY"     
   V701 = "NOV: ACT NUM FORCE ENTRY"   V702 = "DEC: ACT NUM FORCE ENTRY"     
   V703 = "JAN: ACT NUM ENTR NO FRC"   V704 = "FEB: ACT NUM ENTR NO FRC"     
   V705 = "MAR: ACT NUM ENTR NO FRC"   V706 = "APR: ACT NUM ENTR NO FRC"     
   V707 = "MAY: ACT NUM ENTR NO FRC"   V708 = "JUN: ACT NUM ENTR NO FRC"     
   V709 = "JUL: ACT NUM ENTR NO FRC"   V710 = "AUG: ACT NUM ENTR NO FRC"     
   V711 = "SEP: ACT NUM ENTR NO FRC"   V712 = "OCT: ACT NUM ENTR NO FRC"     
   V713 = "NOV: ACT NUM ENTR NO FRC"   V714 = "DEC: ACT NUM ENTR NO FRC"     
   V715 = "JAN: ACT # ATT FRC ENTRY"   V716 = "FEB: ACT # ATT FRC ENTRY"     
   V717 = "MAR: ACT # ATT FRC ENTRY"   V718 = "APR: ACT # ATT FRC ENTRY"     
   V719 = "MAY: ACT # ATT FRC ENTRY"   V720 = "JUN: ACT # ATT FRC ENTRY"     
   V721 = "JUL: ACT # ATT FRC ENTRY"   V722 = "AUG: ACT # ATT FRC ENTRY"     
   V723 = "SEP: ACT # ATT FRC ENTRY"   V724 = "OCT: ACT # ATT FRC ENTRY"     
   V725 = "NOV: ACT # ATT FRC ENTRY"   V726 = "DEC: ACT # ATT FRC ENTRY"     
   V727 = "JAN: ACT NUM LARCNY TOTL"   V728 = "FEB: ACT NUM LARCNY TOTL"     
   V729 = "MAR: ACT NUM LARCNY TOTL"   V730 = "APR: ACT NUM LARCNY TOTL"     
   V731 = "MAY: ACT NUM LARCNY TOTL"   V732 = "JUN: ACT NUM LARCNY TOTL"     
   V733 = "JUL: ACT NUM LARCNY TOTL"   V734 = "AUG: ACT NUM LARCNY TOTL"     
   V735 = "SEP: ACT NUM LARCNY TOTL"   V736 = "OCT: ACT NUM LARCNY TOTL"     
   V737 = "NOV: ACT NUM LARCNY TOTL"   V738 = "DEC: ACT NUM LARCNY TOTL"     
   V739 = "JAN: ACT NUM ALL VHC THF"   V740 = "FEB: ACT NUM ALL VHC THF"     
   V741 = "MAR: ACT NUM ALL VHC THF"   V742 = "APR: ACT NUM ALL VHC THF"     
   V743 = "MAY: ACT NUM ALL VHC THF"   V744 = "JUN: ACT NUM ALL VHC THF"     
   V745 = "JUL: ACT NUM ALL VHC THF"   V746 = "AUG: ACT NUM ALL VHC THF"     
   V747 = "SEP: ACT NUM ALL VHC THF"   V748 = "OCT: ACT NUM ALL VHC THF"     
   V749 = "NOV: ACT NUM ALL VHC THF"   V750 = "DEC: ACT NUM ALL VHC THF"     
   V751 = "JAN: ACT NUM AUTO THEFT"    V752 = "FEB: ACT NUM AUTO THEFT"      
   V753 = "MAR: ACT NUM AUTO THEFT"    V754 = "APR: ACT NUM AUTO THEFT"      
   V755 = "MAY: ACT NUM AUTO THEFT"    V756 = "JUN: ACT NUM AUTO THEFT"      
   V757 = "JUL: ACT NUM AUTO THEFT"    V758 = "AUG: ACT NUM AUTO THEFT"      
   V759 = "SEP: ACT NUM AUTO THEFT"    V760 = "OCT: ACT NUM AUTO THEFT"      
   V761 = "NOV: ACT NUM AUTO THEFT"    V762 = "DEC: ACT NUM AUTO THEFT"      
   V763 = "JAN: ACT NUM TRUCK THEFT"   V764 = "FEB: ACT NUM TRUCK THEFT"     
   V765 = "MAR: ACT NUM TRUCK THEFT"   V766 = "APR: ACT NUM TRUCK THEFT"     
   V767 = "MAY: ACT NUM TRUCK THEFT"   V768 = "JUN: ACT NUM TRUCK THEFT"     
   V769 = "JUL: ACT NUM TRUCK THEFT"   V770 = "AUG: ACT NUM TRUCK THEFT"     
   V771 = "SEP: ACT NUM TRUCK THEFT"   V772 = "OCT: ACT NUM TRUCK THEFT"     
   V773 = "NOV: ACT NUM TRUCK THEFT"   V774 = "DEC: ACT NUM TRUCK THEFT"     
   V775 = "JAN: ACT # OTH VHC THEFT"   V776 = "FEB: ACT # OTH VHC THEFT"     
   V777 = "MAR: ACT # OTH VHC THEFT"   V778 = "APR: ACT # OTH VHC THEFT"     
   V779 = "MAY: ACT # OTH VHC THEFT"   V780 = "JUN: ACT # OTH VHC THEFT"     
   V781 = "JUL: ACT # OTH VHC THEFT"   V782 = "AUG: ACT # OTH VHC THEFT"     
   V783 = "SEP: ACT # OTH VHC THEFT"   V784 = "OCT: ACT # OTH VHC THEFT"     
   V785 = "NOV: ACT # OTH VHC THEFT"   V786 = "DEC: ACT # OTH VHC THEFT"     
   V787 = "JAN: ACT NUM ALL OFFNCS"    V788 = "FEB: ACT NUM ALL OFFNCS"      
   V789 = "MAR: ACT NUM ALL OFFNCS"    V790 = "APR: ACT NUM ALL OFFNCS"      
   V791 = "MAY: ACT NUM ALL OFFNCS"    V792 = "JUN: ACT NUM ALL OFFNCS"      
   V793 = "JUL: ACT NUM ALL OFFNCS"    V794 = "AUG: ACT NUM ALL OFFNCS"      
   V795 = "SEP: ACT NUM ALL OFFNCS"    V796 = "OCT: ACT NUM ALL OFFNCS"      
   V797 = "NOV: ACT NUM ALL OFFNCS"    V798 = "DEC: ACT NUM ALL OFFNCS"      
   V799 = "JAN: TOT # CLR MURDER"      V800 = "FEB: TOT # CLR MURDER"        
   V801 = "MAR: TOT # CLR MURDER"      V802 = "APR: TOT # CLR MURDER"        
   V803 = "MAY: TOT # CLR MURDER"      V804 = "JUN: TOT # CLR MURDER"        
   V805 = "JUL: TOT # CLR MURDER"      V806 = "AUG: TOT # CLR MURDER"        
   V807 = "SEP: TOT # CLR MURDER"      V808 = "OCT: TOT # CLR MURDER"        
   V809 = "NOV: TOT # CLR MURDER"      V810 = "DEC: TOT # CLR MURDER"        
   V811 = "JAN: TOT # CLR MANSLGHTR"   V812 = "FEB: TOT # CLR MANSLGHTR"     
   V813 = "MAR: TOT # CLR MANSLGHTR"   V814 = "APR: TOT # CLR MANSLGHTR"     
   V815 = "MAY: TOT # CLR MANSLGHTR"   V816 = "JUN: TOT # CLR MANSLGHTR"     
   V817 = "JUL: TOT # CLR MANSLGHTR"   V818 = "AUG: TOT # CLR MANSLGHTR"     
   V819 = "SEP: TOT # CLR MANSLGHTR"   V820 = "OCT: TOT # CLR MANSLGHTR"     
   V821 = "NOV: TOT # CLR MANSLGHTR"   V822 = "DEC: TOT # CLR MANSLGHTR"     
   V823 = "JAN: TOT # CLR RAPE TOTL"   V824 = "FEB: TOT # CLR RAPE TOTL"     
   V825 = "MAR: TOT # CLR RAPE TOTL"   V826 = "APR: TOT # CLR RAPE TOTL"     
   V827 = "MAY: TOT # CLR RAPE TOTL"   V828 = "JUN: TOT # CLR RAPE TOTL"     
   V829 = "JUL: TOT # CLR RAPE TOTL"   V830 = "AUG: TOT # CLR RAPE TOTL"     
   V831 = "SEP: TOT # CLR RAPE TOTL"   V832 = "OCT: TOT # CLR RAPE TOTL"     
   V833 = "NOV: TOT # CLR RAPE TOTL"   V834 = "DEC: TOT # CLR RAPE TOTL"     
   V835 = "JAN: TOT # CLR FORC RAPE"   V836 = "FEB: TOT # CLR FORC RAPE"     
   V837 = "MAR: TOT # CLR FORC RAPE"   V838 = "APR: TOT # CLR FORC RAPE"     
   V839 = "MAY: TOT # CLR FORC RAPE"   V840 = "JUN: TOT # CLR FORC RAPE"     
   V841 = "JUL: TOT # CLR FORC RAPE"   V842 = "AUG: TOT # CLR FORC RAPE"     
   V843 = "SEP: TOT # CLR FORC RAPE"   V844 = "OCT: TOT # CLR FORC RAPE"     
   V845 = "NOV: TOT # CLR FORC RAPE"   V846 = "DEC: TOT # CLR FORC RAPE"     
   V847 = "JAN: TOT CLR ATMPTD RAPE"   V848 = "FEB: TOT CLR ATMPTD RAPE"     
   V849 = "MAR: TOT CLR ATMPTD RAPE"   V850 = "APR: TOT CLR ATMPTD RAPE"     
   V851 = "MAY: TOT CLR ATMPTD RAPE"   V852 = "JUN: TOT CLR ATMPTD RAPE"     
   V853 = "JUL: TOT CLR ATMPTD RAPE"   V854 = "AUG: TOT CLR ATMPTD RAPE"     
   V855 = "SEP: TOT CLR ATMPTD RAPE"   V856 = "OCT: TOT CLR ATMPTD RAPE"     
   V857 = "NOV: TOT CLR ATMPTD RAPE"   V858 = "DEC: TOT CLR ATMPTD RAPE"     
   V859 = "JAN: TOT CLR ROBBRY TOTL"   V860 = "FEB: TOT CLR ROBBRY TOTL"     
   V861 = "MAR: TOT CLR ROBBRY TOTL"   V862 = "APR: TOT CLR ROBBRY TOTL"     
   V863 = "MAY: TOT CLR ROBBRY TOTL"   V864 = "JUN: TOT CLR ROBBRY TOTL"     
   V865 = "JUL: TOT CLR ROBBRY TOTL"   V866 = "AUG: TOT CLR ROBBRY TOTL"     
   V867 = "SEP: TOT CLR ROBBRY TOTL"   V868 = "OCT: TOT CLR ROBBRY TOTL"     
   V869 = "NOV: TOT CLR ROBBRY TOTL"   V870 = "DEC: TOT CLR ROBBRY TOTL"     
   V871 = "JAN: TOT CLR GUN ROBBERY"   V872 = "FEB: TOT CLR GUN ROBBERY"     
   V873 = "MAR: TOT CLR GUN ROBBERY"   V874 = "APR: TOT CLR GUN ROBBERY"     
   V875 = "MAY: TOT CLR GUN ROBBERY"   V876 = "JUN: TOT CLR GUN ROBBERY"     
   V877 = "JUL: TOT CLR GUN ROBBERY"   V878 = "AUG: TOT CLR GUN ROBBERY"     
   V879 = "SEP: TOT CLR GUN ROBBERY"   V880 = "OCT: TOT CLR GUN ROBBERY"     
   V881 = "NOV: TOT CLR GUN ROBBERY"   V882 = "DEC: TOT CLR GUN ROBBERY"     
   V883 = "JAN: TOT CLR KNIFE ROB"     V884 = "FEB: TOT CLR KNIFE ROB"       
   V885 = "MAR: TOT CLR KNIFE ROB"     V886 = "APR: TOT CLR KNIFE ROB"       
   V887 = "MAY: TOT CLR KNIFE ROB"     V888 = "JUN: TOT CLR KNIFE ROB"       
   V889 = "JUL: TOT CLR KNIFE ROB"     V890 = "AUG: TOT CLR KNIFE ROB"       
   V891 = "SEP: TOT CLR KNIFE ROB"     V892 = "OCT: TOT CLR KNIFE ROB"       
   V893 = "NOV: TOT CLR KNIFE ROB"     V894 = "DEC: TOT CLR KNIFE ROB"       
   V895 = "JAN: TOT CLR OTH WPN ROB"   V896 = "FEB: TOT CLR OTH WPN ROB"     
   V897 = "MAR: TOT CLR OTH WPN ROB"   V898 = "APR: TOT CLR OTH WPN ROB"     
   V899 = "MAY: TOT CLR OTH WPN ROB"   V900 = "JUN: TOT CLR OTH WPN ROB"     
   V901 = "JUL: TOT CLR OTH WPN ROB"   V902 = "AUG: TOT CLR OTH WPN ROB"     
   V903 = "SEP: TOT CLR OTH WPN ROB"   V904 = "OCT: TOT CLR OTH WPN ROB"     
   V905 = "NOV: TOT CLR OTH WPN ROB"   V906 = "DEC: TOT CLR OTH WPN ROB"     
   V907 = "JAN: TOT CLR STR ARM ROB"   V908 = "FEB: TOT CLR STR ARM ROB"     
   V909 = "MAR: TOT CLR STR ARM ROB"   V910 = "APR: TOT CLR STR ARM ROB"     
   V911 = "MAY: TOT CLR STR ARM ROB"   V912 = "JUN: TOT CLR STR ARM ROB"     
   V913 = "JUL: TOT CLR STR ARM ROB"   V914 = "AUG: TOT CLR STR ARM ROB"     
   V915 = "SEP: TOT CLR STR ARM ROB"   V916 = "OCT: TOT CLR STR ARM ROB"     
   V917 = "NOV: TOT CLR STR ARM ROB"   V918 = "DEC: TOT CLR STR ARM ROB"     
   V919 = "JAN: TOT CLR ASSLT TOTAL"   V920 = "FEB: TOT CLR ASSLT TOTAL"     
   V921 = "MAR: TOT CLR ASSLT TOTAL"   V922 = "APR: TOT CLR ASSLT TOTAL"     
   V923 = "MAY: TOT CLR ASSLT TOTAL"   V924 = "JUN: TOT CLR ASSLT TOTAL"     
   V925 = "JUL: TOT CLR ASSLT TOTAL"   V926 = "AUG: TOT CLR ASSLT TOTAL"     
   V927 = "SEP: TOT CLR ASSLT TOTAL"   V928 = "OCT: TOT CLR ASSLT TOTAL"     
   V929 = "NOV: TOT CLR ASSLT TOTAL"   V930 = "DEC: TOT CLR ASSLT TOTAL"     
   V931 = "JAN: TOT CLR GUN ASSLT"     V932 = "FEB: TOT CLR GUN ASSLT"       
   V933 = "MAR: TOT CLR GUN ASSLT"     V934 = "APR: TOT CLR GUN ASSLT"       
   V935 = "MAY: TOT CLR GUN ASSLT"     V936 = "JUN: TOT CLR GUN ASSLT"       
   V937 = "JUL: TOT CLR GUN ASSLT"     V938 = "AUG: TOT CLR GUN ASSLT"       
   V939 = "SEP: TOT CLR GUN ASSLT"     V940 = "OCT: TOT CLR GUN ASSLT"       
   V941 = "NOV: TOT CLR GUN ASSLT"     V942 = "DEC: TOT CLR GUN ASSLT"       
   V943 = "JAN: TOT CLR KNIFE ASSLT"   V944 = "FEB: TOT CLR KNIFE ASSLT"     
   V945 = "MAR: TOT CLR KNIFE ASSLT"   V946 = "APR: TOT CLR KNIFE ASSLT"     
   V947 = "MAY: TOT CLR KNIFE ASSLT"   V948 = "JUN: TOT CLR KNIFE ASSLT"     
   V949 = "JUL: TOT CLR KNIFE ASSLT"   V950 = "AUG: TOT CLR KNIFE ASSLT"     
   V951 = "SEP: TOT CLR KNIFE ASSLT"   V952 = "OCT: TOT CLR KNIFE ASSLT"     
   V953 = "NOV: TOT CLR KNIFE ASSLT"   V954 = "DEC: TOT CLR KNIFE ASSLT"     
   V955 = "JAN:TOT CL OTH WPN ASLT"    V956 = "FEB:TOT CL OTH WPN ASLT"      
   V957 = "MAR:TOT CL OTH WPN ASLT"    V958 = "APR:TOT CL OTH WPN ASLT"      
   V959 = "MAY:TOT CL OTH WPN ASLT"    V960 = "JUN:TOT CL OTH WPN ASLT"      
   V961 = "JUL:TOT CL OTH WPN ASLT"    V962 = "AUG:TOT CL OTH WPN ASLT"      
   V963 = "SEP:TOT CL OTH WPN ASLT"    V964 = "OCT:TOT CL OTH WPN ASLT"      
   V965 = "NOV:TOT CL OTH WPN ASLT"    V966 = "DEC:TOT CL OTH WPN ASLT"      
   V967 = "JAN:TOT CLR HND/FT ASLT"    V968 = "FEB:TOT CLR HND/FT ASLT"      
   V969 = "MAR:TOT CLR HND/FT ASLT"    V970 = "APR:TOT CLR HND/FT ASLT"      
   V971 = "MAY:TOT CLR HND/FT ASLT"    V972 = "JUN:TOT CLR HND/FT ASLT"      
   V973 = "JUL:TOT CLR HND/FT ASLT"    V974 = "AUG:TOT CLR HND/FT ASLT"      
   V975 = "SEP:TOT CLR HND/FT ASLT"    V976 = "OCT:TOT CLR HND/FT ASLT"      
   V977 = "NOV:TOT CLR HND/FT ASLT"    V978 = "DEC:TOT CLR HND/FT ASLT"      
   V979 = "JAN:TOT CLR SIMPL ASSAUL"   V980 = "FEB:TOT CLR SIMPL ASSAUL"     
   V981 = "MAR:TOT CLR SIMPL ASSAUL"   V982 = "APR:TOT CLR SIMPL ASSAUL"     
   V983 = "MAY:TOT CLR SIMPL ASSAUL"   V984 = "JUN:TOT CLR SIMPL ASSAUL"     
   V985 = "JUL:TOT CLR SIMPL ASSAUL"   V986 = "AUG:TOT CLR SIMPL ASSAUL"     
   V987 = "SEP:TOT CLR SIMPL ASSAUL"   V988 = "OCT:TOT CLR SIMPL ASSAUL"     
   V989 = "NOV:TOT CLR SIMPL ASSAUL"   V990 = "DEC:TOT CLR SIMPL ASSAUL"     
   V991 = "JAN: TOT CLR BURG TOTAL"    V992 = "FEB: TOT CLR BURG TOTAL"      
   V993 = "MAR: TOT CLR BURG TOTAL"    V994 = "APR: TOT CLR BURG TOTAL"      
   V995 = "MAY: TOT CLR BURG TOTAL"    V996 = "JUN: TOT CLR BURG TOTAL"      
   V997 = "JUL: TOT CLR BURG TOTAL"    V998 = "AUG: TOT CLR BURG TOTAL"      
   V999 = "SEP: TOT CLR BURG TOTAL"    V1000 = "OCT: TOT CLR BURG TOTAL"     
   V1001 = "NOV: TOT CLR BURG TOTAL"   V1002 = "DEC: TOT CLR BURG TOTAL"     
   V1003 = "JAN: TOT CLR FORCE ENTRY"  V1004 = "FEB: TOT CLR FORCE ENTRY"    
   V1005 = "MAR: TOT CLR FORCE ENTRY"  V1006 = "APR: TOT CLR FORCE ENTRY"    
   V1007 = "MAY: TOT CLR FORCE ENTRY"  V1008 = "JUN: TOT CLR FORCE ENTRY"    
   V1009 = "JUL: TOT CLR FORCE ENTRY"  V1010 = "AUG: TOT CLR FORCE ENTRY"    
   V1011 = "SEP: TOT CLR FORCE ENTRY"  V1012 = "OCT: TOT CLR FORCE ENTRY"    
   V1013 = "NOV: TOT CLR FORCE ENTRY"  V1014 = "DEC: TOT CLR FORCE ENTRY"    
   V1015 = "JAN: TOT CLR ENTR NO FRC"  V1016 = "FEB: TOT CLR ENTR NO FRC"    
   V1017 = "MAR: TOT CLR ENTR NO FRC"  V1018 = "APR: TOT CLR ENTR NO FRC"    
   V1019 = "MAY: TOT CLR ENTR NO FRC"  V1020 = "JUN: TOT CLR ENTR NO FRC"    
   V1021 = "JUL: TOT CLR ENTR NO FRC"  V1022 = "AUG: TOT CLR ENTR NO FRC"    
   V1023 = "SEP: TOT CLR ENTR NO FRC"  V1024 = "OCT: TOT CLR ENTR NO FRC"    
   V1025 = "NOV: TOT CLR ENTR NO FRC"  V1026 = "DEC: TOT CLR ENTR NO FRC"    
   V1027 = "JAN:TOT CLR ATT FRC ENTY"  V1028 = "FEB:TOT CLR ATT FRC ENTY"    
   V1029 = "MAR:TOT CLR ATT FRC ENTY"  V1030 = "APR:TOT CLR ATT FRC ENTY"    
   V1031 = "MAY:TOT CLR ATT FRC ENTY"  V1032 = "JUN:TOT CLR ATT FRC ENTY"    
   V1033 = "JUL:TOT CLR ATT FRC ENTY"  V1034 = "AUG:TOT CLR ATT FRC ENTY"    
   V1035 = "SEP:TOT CLR ATT FRC ENTY"  V1036 = "OCT:TOT CLR ATT FRC ENTY"    
   V1037 = "NOV:TOT CLR ATT FRC ENTY"  V1038 = "DEC:TOT CLR ATT FRC ENTY"    
   V1039 = "JAN: TOT CLR LARCNY TOTL"  V1040 = "FEB: TOT CLR LARCNY TOTL"    
   V1041 = "MAR: TOT CLR LARCNY TOTL"  V1042 = "APR: TOT CLR LARCNY TOTL"    
   V1043 = "MAY: TOT CLR LARCNY TOTL"  V1044 = "JUN: TOT CLR LARCNY TOTL"    
   V1045 = "JUL: TOT CLR LARCNY TOTL"  V1046 = "AUG: TOT CLR LARCNY TOTL"    
   V1047 = "SEP: TOT CLR LARCNY TOTL"  V1048 = "OCT: TOT CLR LARCNY TOTL"    
   V1049 = "NOV: TOT CLR LARCNY TOTL"  V1050 = "DEC: TOT CLR LARCNY TOTL"    
   V1051 = "JAN: TOT CLR ALL VHC THF"  V1052 = "FEB: TOT CLR ALL VHC THF"    
   V1053 = "MAR: TOT CLR ALL VHC THF"  V1054 = "APR: TOT CLR ALL VHC THF"    
   V1055 = "MAY: TOT CLR ALL VHC THF"  V1056 = "JUN: TOT CLR ALL VHC THF"    
   V1057 = "JUL: TOT CLR ALL VHC THF"  V1058 = "AUG: TOT CLR ALL VHC THF"    
   V1059 = "SEP: TOT CLR ALL VHC THF"  V1060 = "OCT: TOT CLR ALL VHC THF"    
   V1061 = "NOV: TOT CLR ALL VHC THF"  V1062 = "DEC: TOT CLR ALL VHC THF"    
   V1063 = "JAN: TOT CLR AUTO THEFT"   V1064 = "FEB: TOT CLR AUTO THEFT"     
   V1065 = "MAR: TOT CLR AUTO THEFT"   V1066 = "APR: TOT CLR AUTO THEFT"     
   V1067 = "MAY: TOT CLR AUTO THEFT"   V1068 = "JUN: TOT CLR AUTO THEFT"     
   V1069 = "JUL: TOT CLR AUTO THEFT"   V1070 = "AUG: TOT CLR AUTO THEFT"     
   V1071 = "SEP: TOT CLR AUTO THEFT"   V1072 = "OCT: TOT CLR AUTO THEFT"     
   V1073 = "NOV: TOT CLR AUTO THEFT"   V1074 = "DEC: TOT CLR AUTO THEFT"     
   V1075 = "JAN: TOT CLR TRUCK THEFT"  V1076 = "FEB: TOT CLR TRUCK THEFT"    
   V1077 = "MAR: TOT CLR TRUCK THEFT"  V1078 = "APR: TOT CLR TRUCK THEFT"    
   V1079 = "MAY: TOT CLR TRUCK THEFT"  V1080 = "JUN: TOT CLR TRUCK THEFT"    
   V1081 = "JUL: TOT CLR TRUCK THEFT"  V1082 = "AUG: TOT CLR TRUCK THEFT"    
   V1083 = "SEP: TOT CLR TRUCK THEFT"  V1084 = "OCT: TOT CLR TRUCK THEFT"    
   V1085 = "NOV: TOT CLR TRUCK THEFT"  V1086 = "DEC: TOT CLR TRUCK THEFT"    
   V1087 = "JAN: TOT CL OTH VHC THFT"  V1088 = "FEB: TOT CL OTH VHC THFT"    
   V1089 = "MAR: TOT CL OTH VHC THFT"  V1090 = "APR: TOT CL OTH VHC THFT"    
   V1091 = "MAY: TOT CL OTH VHC THFT"  V1092 = "JUN: TOT CL OTH VHC THFT"    
   V1093 = "JUL: TOT CL OTH VHC THFT"  V1094 = "AUG: TOT CL OTH VHC THFT"    
   V1095 = "SEP: TOT CL OTH VHC THFT"  V1096 = "OCT: TOT CL OTH VHC THFT"    
   V1097 = "NOV: TOT CL OTH VHC THFT"  V1098 = "DEC: TOT CL OTH VHC THFT"    
   V1099 = "JAN: TOT CLR ALL OFFNCS"   V1100 = "FEB: TOT CLR ALL OFFNCS"     
   V1101 = "MAR: TOT CLR ALL OFFNCS"   V1102 = "APR: TOT CLR ALL OFFNCS"     
   V1103 = "MAY: TOT CLR ALL OFFNCS"   V1104 = "JUN: TOT CLR ALL OFFNCS"     
   V1105 = "JUL: TOT CLR ALL OFFNCS"   V1106 = "AUG: TOT CLR ALL OFFNCS"     
   V1107 = "SEP: TOT CLR ALL OFFNCS"   V1108 = "OCT: TOT CLR ALL OFFNCS"     
   V1109 = "NOV: TOT CLR ALL OFFNCS"   V1110 = "DEC: TOT CLR ALL OFFNCS"     
   V1111 = "JAN: CLR < 18 MURDER"      V1112 = "FEB: CLR < 18 MURDER"        
   V1113 = "MAR: CLR < 18 MURDER"      V1114 = "APR: CLR < 18 MURDER"        
   V1115 = "MAY: CLR < 18 MURDER"      V1116 = "JUN: CLR < 18 MURDER"        
   V1117 = "JUL: CLR < 18 MURDER"      V1118 = "AUG: CLR < 18 MURDER"        
   V1119 = "SEP: CLR < 18 MURDER"      V1120 = "OCT: CLR < 18 MURDER"        
   V1121 = "NOV: CLR < 18 MURDER"      V1122 = "DEC: CLR < 18 MURDER"        
   V1123 = "JAN: CLR < 18 MANSLGHTR"   V1124 = "FEB: CLR < 18 MANSLGHTR"     
   V1125 = "MAR: CLR < 18 MANSLGHTR"   V1126 = "APR: CLR < 18 MANSLGHTR"     
   V1127 = "MAY: CLR < 18 MANSLGHTR"   V1128 = "JUN: CLR < 18 MANSLGHTR"     
   V1129 = "JUL: CLR < 18 MANSLGHTR"   V1130 = "AUG: CLR < 18 MANSLGHTR"     
   V1131 = "SEP: CLR < 18 MANSLGHTR"   V1132 = "OCT: CLR < 18 MANSLGHTR"     
   V1133 = "NOV: CLR < 18 MANSLGHTR"   V1134 = "DEC: CLR < 18 MANSLGHTR"     
   V1135 = "JAN: CLR < 18 RAPE TOTAL"  V1136 = "FEB: CLR < 18 RAPE TOTAL"    
   V1137 = "MAR: CLR < 18 RAPE TOTAL"  V1138 = "APR: CLR < 18 RAPE TOTAL"    
   V1139 = "MAY: CLR < 18 RAPE TOTAL"  V1140 = "JUN: CLR < 18 RAPE TOTAL"    
   V1141 = "JUL: CLR < 18 RAPE TOTAL"  V1142 = "AUG: CLR < 18 RAPE TOTAL"    
   V1143 = "SEP: CLR < 18 RAPE TOTAL"  V1144 = "OCT: CLR < 18 RAPE TOTAL"    
   V1145 = "NOV: CLR < 18 RAPE TOTAL"  V1146 = "DEC: CLR < 18 RAPE TOTAL"    
   V1147 = "JAN: CLR < 18 FORCE RAPE"  V1148 = "FEB: CLR < 18 FORCE RAPE"    
   V1149 = "MAR: CLR < 18 FORCE RAPE"  V1150 = "APR: CLR < 18 FORCE RAPE"    
   V1151 = "MAY: CLR < 18 FORCE RAPE"  V1152 = "JUN: CLR < 18 FORCE RAPE"    
   V1153 = "JUL: CLR < 18 FORCE RAPE"  V1154 = "AUG: CLR < 18 FORCE RAPE"    
   V1155 = "SEP: CLR < 18 FORCE RAPE"  V1156 = "OCT: CLR < 18 FORCE RAPE"    
   V1157 = "NOV: CLR < 18 FORCE RAPE"  V1158 = "DEC: CLR < 18 FORCE RAPE"    
   V1159 = "JAN: CLR <18 ATMPTD RAPE"  V1160 = "FEB: CLR <18 ATMPTD RAPE"    
   V1161 = "MAR: CLR <18 ATMPTD RAPE"  V1162 = "APR: CLR <18 ATMPTD RAPE"    
   V1163 = "MAY: CLR <18 ATMPTD RAPE"  V1164 = "JUN: CLR <18 ATMPTD RAPE"    
   V1165 = "JUL: CLR <18 ATMPTD RAPE"  V1166 = "AUG: CLR <18 ATMPTD RAPE"    
   V1167 = "SEP: CLR <18 ATMPTD RAPE"  V1168 = "OCT: CLR <18 ATMPTD RAPE"    
   V1169 = "NOV: CLR <18 ATMPTD RAPE"  V1170 = "DEC: CLR <18 ATMPTD RAPE"    
   V1171 = "JAN: CLR <18 ROBBRY TOTL"  V1172 = "FEB: CLR <18 ROBBRY TOTL"    
   V1173 = "MAR: CLR <18 ROBBRY TOTL"  V1174 = "APR: CLR <18 ROBBRY TOTL"    
   V1175 = "MAY: CLR <18 ROBBRY TOTL"  V1176 = "JUN: CLR <18 ROBBRY TOTL"    
   V1177 = "JUL: CLR <18 ROBBRY TOTL"  V1178 = "AUG: CLR <18 ROBBRY TOTL"    
   V1179 = "SEP: CLR <18 ROBBRY TOTL"  V1180 = "OCT: CLR <18 ROBBRY TOTL"    
   V1181 = "NOV: CLR <18 ROBBRY TOTL"  V1182 = "DEC: CLR <18 ROBBRY TOTL"    
   V1183 = "JAN: CLR <18 GUN ROBBERY"  V1184 = "FEB: CLR <18 GUN ROBBERY"    
   V1185 = "MAR: CLR <18 GUN ROBBERY"  V1186 = "APR: CLR <18 GUN ROBBERY"    
   V1187 = "MAY: CLR <18 GUN ROBBERY"  V1188 = "JUN: CLR <18 GUN ROBBERY"    
   V1189 = "JUL: CLR <18 GUN ROBBERY"  V1190 = "AUG: CLR <18 GUN ROBBERY"    
   V1191 = "SEP: CLR <18 GUN ROBBERY"  V1192 = "OCT: CLR <18 GUN ROBBERY"    
   V1193 = "NOV: CLR <18 GUN ROBBERY"  V1194 = "DEC: CLR <18 GUN ROBBERY"    
   V1195 = "JAN: CLR <18 KNIFE ROB"    V1196 = "FEB: CLR <18 KNIFE ROB"      
   V1197 = "MAR: CLR <18 KNIFE ROB"    V1198 = "APR: CLR <18 KNIFE ROB"      
   V1199 = "MAY: CLR <18 KNIFE ROB"    V1200 = "JUN: CLR <18 KNIFE ROB"      
   V1201 = "JUL: CLR <18 KNIFE ROB"    V1202 = "AUG: CLR <18 KNIFE ROB"      
   V1203 = "SEP: CLR <18 KNIFE ROB"    V1204 = "OCT: CLR <18 KNIFE ROB"      
   V1205 = "NOV: CLR <18 KNIFE ROB"    V1206 = "DEC: CLR <18 KNIFE ROB"      
   V1207 = "JAN: CLR <18 OTH WPN ROB"  V1208 = "FEB: CLR <18 OTH WPN ROB"    
   V1209 = "MAR: CLR <18 OTH WPN ROB"  V1210 = "APR: CLR <18 OTH WPN ROB"    
   V1211 = "MAY: CLR <18 OTH WPN ROB"  V1212 = "JUN: CLR <18 OTH WPN ROB"    
   V1213 = "JUL: CLR <18 OTH WPN ROB"  V1214 = "AUG: CLR <18 OTH WPN ROB"    
   V1215 = "SEP: CLR <18 OTH WPN ROB"  V1216 = "OCT: CLR <18 OTH WPN ROB"    
   V1217 = "NOV: CLR <18 OTH WPN ROB"  V1218 = "DEC: CLR <18 OTH WPN ROB"    
   V1219 = "JAN: CLR <18 STR ARM ROB"  V1220 = "FEB: CLR <18 STR ARM ROB"    
   V1221 = "MAR: CLR <18 STR ARM ROB"  V1222 = "APR: CLR <18 STR ARM ROB"    
   V1223 = "MAY: CLR <18 STR ARM ROB"  V1224 = "JUN: CLR <18 STR ARM ROB"    
   V1225 = "JUL: CLR <18 STR ARM ROB"  V1226 = "AUG: CLR <18 STR ARM ROB"    
   V1227 = "SEP: CLR <18 STR ARM ROB"  V1228 = "OCT: CLR <18 STR ARM ROB"    
   V1229 = "NOV: CLR <18 STR ARM ROB"  V1230 = "DEC: CLR <18 STR ARM ROB"    
   V1231 = "JAN: CLR <18 ASSLT TOTAL"  V1232 = "FEB: CLR <18 ASSLT TOTAL"    
   V1233 = "MAR: CLR <18 ASSLT TOTAL"  V1234 = "APR: CLR <18 ASSLT TOTAL"    
   V1235 = "MAY: CLR <18 ASSLT TOTAL"  V1236 = "JUN: CLR <18 ASSLT TOTAL"    
   V1237 = "JUL: CLR <18 ASSLT TOTAL"  V1238 = "AUG: CLR <18 ASSLT TOTAL"    
   V1239 = "SEP: CLR <18 ASSLT TOTAL"  V1240 = "OCT: CLR <18 ASSLT TOTAL"    
   V1241 = "NOV: CLR <18 ASSLT TOTAL"  V1242 = "DEC: CLR <18 ASSLT TOTAL"    
   V1243 = "JAN: CLR <18 GUN ASSLT"    V1244 = "FEB: CLR <18 GUN ASSLT"      
   V1245 = "MAR: CLR <18 GUN ASSLT"    V1246 = "APR: CLR <18 GUN ASSLT"      
   V1247 = "MAY: CLR <18 GUN ASSLT"    V1248 = "JUN: CLR <18 GUN ASSLT"      
   V1249 = "JUL: CLR <18 GUN ASSLT"    V1250 = "AUG: CLR <18 GUN ASSLT"      
   V1251 = "SEP: CLR <18 GUN ASSLT"    V1252 = "OCT: CLR <18 GUN ASSLT"      
   V1253 = "NOV: CLR <18 GUN ASSLT"    V1254 = "DEC: CLR <18 GUN ASSLT"      
   V1255 = "JAN: CLR <18 KNIFE ASSLT"  V1256 = "FEB: CLR <18 KNIFE ASSLT"    
   V1257 = "MAR: CLR <18 KNIFE ASSLT"  V1258 = "APR: CLR <18 KNIFE ASSLT"    
   V1259 = "MAY: CLR <18 KNIFE ASSLT"  V1260 = "JUN: CLR <18 KNIFE ASSLT"    
   V1261 = "JUL: CLR <18 KNIFE ASSLT"  V1262 = "AUG: CLR <18 KNIFE ASSLT"    
   V1263 = "SEP: CLR <18 KNIFE ASSLT"  V1264 = "OCT: CLR <18 KNIFE ASSLT"    
   V1265 = "NOV: CLR <18 KNIFE ASSLT"  V1266 = "DEC: CLR <18 KNIFE ASSLT"    
   V1267 = "JAN: CL <18 OTH WPN ASLT"  V1268 = "FEB: CL <18 OTH WPN ASLT"    
   V1269 = "MAR: CL <18 OTH WPN ASLT"  V1270 = "APR: CL <18 OTH WPN ASLT"    
   V1271 = "MAY: CL <18 OTH WPN ASLT"  V1272 = "JUN: CL <18 OTH WPN ASLT"    
   V1273 = "JUL: CL <18 OTH WPN ASLT"  V1274 = "AUG: CL <18 OTH WPN ASLT"    
   V1275 = "SEP: CL <18 OTH WPN ASLT"  V1276 = "OCT: CL <18 OTH WPN ASLT"    
   V1277 = "NOV: CL <18 OTH WPN ASLT"  V1278 = "DEC: CL <18 OTH WPN ASLT"    
   V1279 = "JAN: CL <18 HND/FT ASLT"   V1280 = "FEB: CL <18 HND/FT ASLT"     
   V1281 = "MAR: CL <18 HND/FT ASLT"   V1282 = "APR: CL <18 HND/FT ASLT"     
   V1283 = "MAY: CL <18 HND/FT ASLT"   V1284 = "JUN: CL <18 HND/FT ASLT"     
   V1285 = "JUL: CL <18 HND/FT ASLT"   V1286 = "AUG: CL <18 HND/FT ASLT"     
   V1287 = "SEP: CL <18 HND/FT ASLT"   V1288 = "OCT: CL <18 HND/FT ASLT"     
   V1289 = "NOV: CL <18 HND/FT ASLT"   V1290 = "DEC: CL <18 HND/FT ASLT"     
   V1291 = "JAN: CL <18 SIMPL ASSLT"   V1292 = "FEB: CL <18 SIMPL ASSLT"     
   V1293 = "MAR: CL <18 SIMPL ASSLT"   V1294 = "APR: CL <18 SIMPL ASSLT"     
   V1295 = "MAY: CL <18 SIMPL ASSLT"   V1296 = "JUN: CL <18 SIMPL ASSLT"     
   V1297 = "JUL: CL <18 SIMPL ASSLT"   V1298 = "AUG: CL <18 SIMPL ASSLT"     
   V1299 = "SEP: CL <18 SIMPL ASSLT"   V1300 = "OCT: CL <18 SIMPL ASSLT"     
   V1301 = "NOV: CL <18 SIMPL ASSLT"   V1302 = "DEC: CL <18 SIMPL ASSLT"     
   V1303 = "JAN: CLR <18 BURG TOTAL"   V1304 = "FEB: CLR <18 BURG TOTAL"     
   V1305 = "MAR: CLR <18 BURG TOTAL"   V1306 = "APR: CLR <18 BURG TOTAL"     
   V1307 = "MAY: CLR <18 BURG TOTAL"   V1308 = "JUN: CLR <18 BURG TOTAL"     
   V1309 = "JUL: CLR <18 BURG TOTAL"   V1310 = "AUG: CLR <18 BURG TOTAL"     
   V1311 = "SEP: CLR <18 BURG TOTAL"   V1312 = "OCT: CLR <18 BURG TOTAL"     
   V1313 = "NOV: CLR <18 BURG TOTAL"   V1314 = "DEC: CLR <18 BURG TOTAL"     
   V1315 = "JAN: CLR <18 FORCE ENTRY"  V1316 = "FEB: CLR <18 FORCE ENTRY"    
   V1317 = "MAR: CLR <18 FORCE ENTRY"  V1318 = "APR: CLR <18 FORCE ENTRY"    
   V1319 = "MAY: CLR <18 FORCE ENTRY"  V1320 = "JUN: CLR <18 FORCE ENTRY"    
   V1321 = "JUL: CLR <18 FORCE ENTRY"  V1322 = "AUG: CLR <18 FORCE ENTRY"    
   V1323 = "SEP: CLR <18 FORCE ENTRY"  V1324 = "OCT: CLR <18 FORCE ENTRY"    
   V1325 = "NOV: CLR <18 FORCE ENTRY"  V1326 = "DEC: CLR <18 FORCE ENTRY"    
   V1327 = "JAN: CL <18 ENTY NO FRCE"  V1328 = "FEB: CL <18 ENTY NO FRCE"    
   V1329 = "MAR: CL <18 ENTY NO FRCE"  V1330 = "APR: CL <18 ENTY NO FRCE"    
   V1331 = "MAY: CL <18 ENTY NO FRCE"  V1332 = "JUN: CL <18 ENTY NO FRCE"    
   V1333 = "JUL: CL <18 ENTY NO FRCE"  V1334 = "AUG: CL <18 ENTY NO FRCE"    
   V1335 = "SEP: CL <18 ENTY NO FRCE"  V1336 = "OCT: CL <18 ENTY NO FRCE"    
   V1337 = "NOV: CL <18 ENTY NO FRCE"  V1338 = "DEC: CL <18 ENTY NO FRCE"    
   V1339 = "JAN: CL <18 ATT FRC ENTY"  V1340 = "FEB: CL <18 ATT FRC ENTY"    
   V1341 = "MAR: CL <18 ATT FRC ENTY"  V1342 = "APR: CL <18 ATT FRC ENTY"    
   V1343 = "MAY: CL <18 ATT FRC ENTY"  V1344 = "JUN: CL <18 ATT FRC ENTY"    
   V1345 = "JUL: CL <18 ATT FRC ENTY"  V1346 = "AUG: CL <18 ATT FRC ENTY"    
   V1347 = "SEP: CL <18 ATT FRC ENTY"  V1348 = "OCT: CL <18 ATT FRC ENTY"    
   V1349 = "NOV: CL <18 ATT FRC ENTY"  V1350 = "DEC: CL <18 ATT FRC ENTY"    
   V1351 = "JAN: CLR <18 LARCNY TOTL"  V1352 = "FEB: CLR <18 LARCNY TOTL"    
   V1353 = "MAR: CLR <18 LARCNY TOTL"  V1354 = "APR: CLR <18 LARCNY TOTL"    
   V1355 = "MAY: CLR <18 LARCNY TOTL"  V1356 = "JUN: CLR <18 LARCNY TOTL"    
   V1357 = "JUL: CLR <18 LARCNY TOTL"  V1358 = "AUG: CLR <18 LARCNY TOTL"    
   V1359 = "SEP: CLR <18 LARCNY TOTL"  V1360 = "OCT: CLR <18 LARCNY TOTL"    
   V1361 = "NOV: CLR <18 LARCNY TOTL"  V1362 = "DEC: CLR <18 LARCNY TOTL"    
   V1363 = "JAN: CL <18 TOT VHC THFT"  V1364 = "FEB: CL <18 TOT VHC THFT"    
   V1365 = "MAR: CL <18 TOT VHC THFT"  V1366 = "APR: CL <18 TOT VHC THFT"    
   V1367 = "MAY: CL <18 TOT VHC THFT"  V1368 = "JUN: CL <18 TOT VHC THFT"    
   V1369 = "JUL: CL <18 TOT VHC THFT"  V1370 = "AUG: CL <18 TOT VHC THFT"    
   V1371 = "SEP: CL <18 TOT VHC THFT"  V1372 = "OCT: CL <18 TOT VHC THFT"    
   V1373 = "NOV: CL <18 TOT VHC THFT"  V1374 = "DEC: CL <18 TOT VHC THFT"    
   V1375 = "JAN: CLR <18 AUTO THEFT"   V1376 = "FEB: CLR <18 AUTO THEFT"     
   V1377 = "MAR: CLR <18 AUTO THEFT"   V1378 = "APR: CLR <18 AUTO THEFT"     
   V1379 = "MAY: CLR <18 AUTO THEFT"   V1380 = "JUN: CLR <18 AUTO THEFT"     
   V1381 = "JUL: CLR <18 AUTO THEFT"   V1382 = "AUG: CLR <18 AUTO THEFT"     
   V1383 = "SEP: CLR <18 AUTO THEFT"   V1384 = "OCT: CLR <18 AUTO THEFT"     
   V1385 = "NOV: CLR <18 AUTO THEFT"   V1386 = "DEC: CLR <18 AUTO THEFT"     
   V1387 = "JAN: CLR <18 TRUCK THFT"   V1388 = "FEB: CLR <18 TRUCK THFT"     
   V1389 = "MAR: CLR <18 TRUCK THFT"   V1390 = "APR: CLR <18 TRUCK THFT"     
   V1391 = "MAY: CLR <18 TRUCK THFT"   V1392 = "JUN: CLR <18 TRUCK THFT"     
   V1393 = "JUL: CLR <18 TRUCK THFT"   V1394 = "AUG: CLR <18 TRUCK THFT"     
   V1395 = "SEP: CLR <18 TRUCK THFT"   V1396 = "OCT: CLR <18 TRUCK THFT"     
   V1397 = "NOV: CLR <18 TRUCK THFT"   V1398 = "DEC: CLR <18 TRUCK THFT"     
   V1399 = "JAN: CL <18 OTH VHC THFT"  V1400 = "FEB: CL <18 OTH VHC THFT"    
   V1401 = "MAR: CL <18 OTH VHC THFT"  V1402 = "APR: CL <18 OTH VHC THFT"    
   V1403 = "MAY: CL <18 OTH VHC THFT"  V1404 = "JUN: CL <18 OTH VHC THFT"    
   V1405 = "JUL: CL <18 OTH VHC THFT"  V1406 = "AUG: CL <18 OTH VHC THFT"    
   V1407 = "SEP: CL <18 OTH VHC THFT"  V1408 = "OCT: CL <18 OTH VHC THFT"    
   V1409 = "NOV: CL <18 OTH VHC THFT"  V1410 = "DEC: CL <18 OTH VHC THFT"    
   V1411 = "JAN: CLR <18 ALL OFFNCS"   V1412 = "FEB: CLR <18 ALL OFFNCS"     
   V1413 = "MAR: CLR <18 ALL OFFNCS"   V1414 = "APR: CLR <18 ALL OFFNCS"     
   V1415 = "MAY: CLR <18 ALL OFFNCS"   V1416 = "JUN: CLR <18 ALL OFFNCS"     
   V1417 = "JUL: CLR <18 ALL OFFNCS"   V1418 = "AUG: CLR <18 ALL OFFNCS"     
   V1419 = "SEP: CLR <18 ALL OFFNCS"   V1420 = "OCT: CLR <18 ALL OFFNCS"     
   V1421 = "NOV: CLR <18 ALL OFFNCS"   V1422 = "DEC: CLR <18 ALL OFFNCS"     
   V1423 = "JAN: OFFICRS KILL BY FEL"  V1424 = "FEB: OFFICRS KILL BY FEL"    
   V1425 = "MAR: OFFICRS KILL BY FEL"  V1426 = "APR: OFFICRS KILL BY FEL"    
   V1427 = "MAY: OFFICRS KILL BY FEL"  V1428 = "JUN: OFFICRS KILL BY FEL"    
   V1429 = "JUL: OFFICRS KILL BY FEL"  V1430 = "AUG: OFFICRS KILL BY FEL"    
   V1431 = "SEP: OFFICRS KILL BY FEL"  V1432 = "OCT: OFFICRS KILL BY FEL"    
   V1433 = "NOV: OFFICRS KILL BY FEL"  V1434 = "DEC: OFFICRS KILL BY FEL"    
   V1435 = "JAN: OFFICRS KILL BY ACC"  V1436 = "FEB: OFFICRS KILL BY ACC"    
   V1437 = "MAR: OFFICRS KILL BY ACC"  V1438 = "APR: OFFICRS KILL BY ACC"    
   V1439 = "MAY: OFFICRS KILL BY ACC"  V1440 = "JUN: OFFICRS KILL BY ACC"    
   V1441 = "JUL: OFFICRS KILL BY ACC"  V1442 = "AUG: OFFICRS KILL BY ACC"    
   V1443 = "SEP: OFFICRS KILL BY ACC"  V1444 = "OCT: OFFICRS KILL BY ACC"    
   V1445 = "NOV: OFFICRS KILL BY ACC"  V1446 = "DEC: OFFICRS KILL BY ACC"    
   V1447 = "JAN: OFFICERS ASSAULTED"   V1448 = "FEB: OFFICERS ASSAULTED"     
   V1449 = "MAR: OFFICERS ASSAULTED"   V1450 = "APR: OFFICERS ASSAULTED"     
   V1451 = "MAY: OFFICERS ASSAULTED"   V1452 = "JUN: OFFICERS ASSAULTED"     
   V1453 = "JUL: OFFICERS ASSAULTED"   V1454 = "AUG: OFFICERS ASSAULTED"     
   V1455 = "SEP: OFFICERS ASSAULTED"   V1456 = "OCT: OFFICERS ASSAULTED"     
   V1457 = "NOV: OFFICERS ASSAULTED"   V1458 = "DEC: OFFICERS ASSAULTED";    
                                                                             
* USER-DEFINED MISSING VALUE RECODE TO SAS SYSMIS;                           
                                                                             
/*                                                                           
   IF V4=0000000 THEN V4=.;            IF V5=0000099 THEN V5=.;              
   IF V7=0000000 THEN V7=.;            IF V8=0000099 THEN V8=.;              
   IF V9=0000000 THEN V9=.;            IF V10=0000099 THEN V10=.;            
   IF V11=0000000 THEN V11=.;          IF V12=0000000 THEN V12=.;            
   IF V13=0000000 THEN V13=.;          IF V15=0000000 THEN V15=.;            
   IF V16=0009999 THEN V16=.;          IF V17=0000000 THEN V17=.;            
   IF V18=0000009 THEN V18=.;          IF V19=0000000 THEN V19=.;            
   IF V20=0000000 THEN V20=.;          IF V21=0000000 THEN V21=.;            
   IF V22=0000000 THEN V22=.;          IF V23=0000000 THEN V23=.;            
   IF V24=0000000 THEN V24=.;          IF V25=0000000 THEN V25=.;            
   IF V26=0000000 THEN V26=.;          IF V27=0000000 THEN V27=.;            
   IF V28=0000000 THEN V28=.;          IF V29=0000000 THEN V29=.;            
   IF V30=0000000 THEN V30=.;          IF V33=0000000 THEN V33=.;            
   IF V41=0000000 THEN V41=.;          IF V42=0000000 THEN V42=.;            
   IF V43=0000000 THEN V43=.;          IF V44=0000000 THEN V44=.;            
   IF V45=0000000 THEN V45=.;          IF V46=0000000 THEN V46=.;            
   IF V47=0000000 THEN V47=.;          IF V48=0000000 THEN V48=.;            
   IF V49=0000000 THEN V49=.;          IF V50=0000000 THEN V50=.;            
   IF V51=0000000 THEN V51=.;          IF V52=0000000 THEN V52=.;            
   IF V53=0000000 THEN V53=.;          IF V54=0000000 THEN V54=.;            
   IF V55=0000000 THEN V55=.;          IF V56=0000000 THEN V56=.;            
   IF V57=0000000 THEN V57=.;          IF V58=0000000 THEN V58=.;            
   IF V59=0000000 THEN V59=.;          IF V60=0000000 THEN V60=.;            
   IF V61=0000000 THEN V61=.;          IF V62=0000000 THEN V62=.;            
   IF V63=0000000 THEN V63=.;          IF V64=0000000 THEN V64=.;            
   IF V65=0000000 THEN V65=.;          IF V66=0000000 THEN V66=.;            
   IF V67=0000000 THEN V67=.;          IF V68=0000000 THEN V68=.;            
   IF V69=0000000 THEN V69=.;          IF V70=0000000 THEN V70=.;            
   IF V71=0000000 THEN V71=.;          IF V72=0000000 THEN V72=.;            
   IF V73=0000000 THEN V73=.;          IF V74=0000000 THEN V74=.;            
   IF V75=0000000 THEN V75=.;          IF V76=0000000 THEN V76=.;            
   IF V77=0000000 THEN V77=.;          IF V78=0000000 THEN V78=.;            
   IF V79=0000000 THEN V79=.;          IF V80=0000000 THEN V80=.;            
   IF V81=0000000 THEN V81=.;          IF V82=0000000 THEN V82=.;            
   IF V83=0000000 THEN V83=.;          IF V84=0000000 THEN V84=.;            
   IF V85=0000000 THEN V85=.;          IF V86=0000000 THEN V86=.;            
   IF V87=0000000 THEN V87=.;          IF V88=0000000 THEN V88=.;            
   IF V89=0000000 THEN V89=.;          IF V90=0000000 THEN V90=.;            
   IF V91=0000000 THEN V91=.;          IF V92=0000000 THEN V92=.;            
   IF V93=0000000 THEN V93=.;          IF V94=0000000 THEN V94=.;            
   IF V95=0000000 THEN V95=.;          IF V96=0000000 THEN V96=.;            
   IF V97=0000000 THEN V97=.;          IF V98=0000000 THEN V98=.;            
   IF V99=0000000 THEN V99=.;          IF V100=0000000 THEN V100=.;          
   IF V101=0000000 THEN V101=.;        IF V102=0000000 THEN V102=.;          
   IF V103=0000000 THEN V103=.;        IF V104=0000000 THEN V104=.;          
   IF V105=0000000 THEN V105=.;        IF V106=0000000 THEN V106=.;          
   IF V107=0000000 THEN V107=.;        IF V108=0000000 THEN V108=.;          
   IF V109=0000000 THEN V109=.;        IF V110=0000000 THEN V110=.;          
   IF V111=0000000 THEN V111=.;        IF V112=0000000 THEN V112=.;          
   IF V113=0000000 THEN V113=.;        IF V114=0000000 THEN V114=.;          
   IF V115=0000000 THEN V115=.;        IF V116=0000000 THEN V116=.;          
   IF V117=0000000 THEN V117=.;        IF V118=0000000 THEN V118=.;          
   IF V119=0000000 THEN V119=.;        IF V120=0000000 THEN V120=.;          
   IF V121=0000000 THEN V121=.;        IF V122=0000000 THEN V122=.;          
   IF V123=0000000 THEN V123=.;        IF V124=0000000 THEN V124=.;          
   IF V125=0000000 THEN V125=.;        IF V126=0000000 THEN V126=.;          
   IF V127=0000000 THEN V127=.;        IF V128=0000000 THEN V128=.;          
   IF V129=0000000 THEN V129=.;        IF V130=0000000 THEN V130=.;          
   IF V131=0000000 THEN V131=.;        IF V132=0000000 THEN V132=.;          
   IF V133=0000000 THEN V133=.;        IF V134=0000000 THEN V134=.;          
   IF V135=0000000 THEN V135=.;        IF V136=0000000 THEN V136=.;          
   IF V137=0000000 THEN V137=.;        IF V138=0000000 THEN V138=.;          
   IF V139=0000000 THEN V139=.;        IF V140=0000000 THEN V140=.;          
   IF V141=0000000 THEN V141=.;        IF V142=0000000 THEN V142=.;          
   IF V143=0000000 THEN V143=.;        IF V144=0000000 THEN V144=.;          
   IF V145=0000000 THEN V145=.;        IF V146=0000000 THEN V146=.;          
   IF V147=0000000 THEN V147=.;        IF V148=0000000 THEN V148=.;          
   IF V149=0000000 THEN V149=.;        IF V150=0000000 THEN V150=.;          
   IF V151=0000000 THEN V151=.;        IF V152=0000000 THEN V152=.;          
   IF V153=0000000 THEN V153=.;        IF V154=0000000 THEN V154=.;          
   IF V155=0000000 THEN V155=.;        IF V156=0000000 THEN V156=.;          
   IF V157=0000000 THEN V157=.;        IF V158=0000000 THEN V158=.;          
   IF V159=0000000 THEN V159=.;        IF V160=0000000 THEN V160=.;          
   IF V161=0000000 THEN V161=.;        IF V162=0000000 THEN V162=.;          
   IF V163=0000000 THEN V163=.;        IF V164=0000000 THEN V164=.;          
   IF V165=0000000 THEN V165=.;        IF V166=0000000 THEN V166=.;          
   IF V167=0000000 THEN V167=.;        IF V168=0000000 THEN V168=.;          
   IF V169=0000000 THEN V169=.;        IF V170=0000000 THEN V170=.;          
   IF V171=0000000 THEN V171=.;        IF V172=0000000 THEN V172=.;          
   IF V173=0000000 THEN V173=.;        IF V174=0000000 THEN V174=.;          
*/                                                                           
                                                                             
* SAS FORMAT STATEMENT;                                                      
                                                                             
/*                                                                           
FORMAT                                                                       
   V1 V1FT.            V2 V2FT.            V3 V3FT.                          
   V5 V5FT.            V7 V7FT.            V8 V8FT.                          
   V9 V9FT.            V10 V10FT.          V11 V11FT.                        
   V12 V12FT.          V13 V13FT.          V15 V15FT.                        
   V16 V16FT.          V17 V17FT.          V18 V18FT.                        
   V19 V19FT.          V20 V20FT.          V21 V21FT.                        
   V22 V22FT.          V23 V23FT.          V24 V24FT.                        
   V25 V25FT.          V26 V26FT.          V27 V27FT.                        
   V28 V28FT.          V29 V29FT.          V30 V30FT.                        
   V33 V33FT.          V41 V41FT.          V42 V42FT.                        
   V44 V44FT.          V45 V45FT.          V46 V46FT.                        
   V47 V47FT.          V48 V48FT.          V49 V49FT.                        
   V50 V50FT.          V51 V51FT.          V52 V52FT.                        
   V53 V53FT.          V54 V54FT.          V55 V55FT.                        
   V56 V56FT.          V57 V57FT.          V58 V58FT.                        
   V59 V59FT.          V60 V60FT.          V61 V61FT.                        
   V62 V62FT.          V63 V63FT.          V64 V64FT.                        
   V65 V65FT.          V66 V66FT.          V67 V67FT.                        
   V68 V68FT.          V69 V69FT.          V70 V70FT.                        
   V71 V71FT.          V72 V72FT.          V73 V73FT.                        
   V74 V74FT.          V75 V75FT.          V76 V76FT.                        
   V77 V77FT.          V78 V78FT.          V79 V79FT.                        
   V80 V80FT.          V81 V81FT.          V82 V82FT.                        
   V83 V83FT.          V84 V84FT.          V85 V85FT.                        
   V86 V86FT.          V87 V87FT.          V88 V88FT.                        
   V89 V89FT.          V90 V90FT.          V91 V91FT.                        
   V92 V92FT.          V93 V93FT.          V94 V94FT.                        
   V95 V95FT.          V96 V96FT.          V97 V97FT.                        
   V98 V98FT.          V99 V99FT.          V100 V100FT.                      
   V101 V101FT.        V102 V102FT.        V103 V103FT.                      
   V104 V104FT.        V105 V105FT.        V106 V106FT.                      
   V107 V107FT.        V108 V108FT.        V109 V109FT.                      
   V110 V110FT.        V111 V111FT.        V112 V112FT.                      
   V113 V113FT.        V114 V114FT.        V115 V115FT.                      
   V116 V116FT.        V117 V117FT.        V118 V118FT.                      
   V119 V119FT.        V120 V120FT.        V121 V121FT.                      
   V122 V122FT.        V123 V123FT.        V124 V124FT.                      
   V125 V125FT.        V126 V126FT.        V127 V127FT.                      
   V128 V128FT.        V129 V129FT.        V130 V130FT.                      
   V131 V131FT.        V132 V132FT.        V133 V133FT.                      
   V134 V134FT.        V135 V135FT.        V136 V136FT.                      
   V137 V137FT.        V138 V138FT.        V139 V139FT.                      
   V140 V140FT.        V141 V141FT.        V142 V142FT.                      
   V143 V143FT.        V144 V144FT.        V145 V145FT.                      
   V146 V146FT.        V147 V147FT.        V148 V148FT.                      
   V149 V149FT.        V150 V150FT.        V151 V151FT.                      
   V152 V152FT.        V153 V153FT.        V154 V154FT.                      
   V155 V155FT.        V156 V156FT.        V157 V157FT.                      
   V158 V158FT.        V159 V159FT.        V160 V160FT.                      
   V161 V161FT.        V162 V162FT.        V163 V163FT.                      
   V164 V164FT.        V165 V165FT.        V166 V166FT.                      
   V167 V167FT.        V168 V168FT.        V169 V169FT.                      
   V170 V170FT.        V171 V171FT.        V172 V172FT.                      
   V173 V173FT.        V174 V174FT.;                                         
*/                                                                           
